parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_3
  i_15
  i_13
  i_6
  i_14
  i_18
  i_8
  i_0
  i_9
  i_16
  i_11
  i_17
  i_7
  i_5
  i_4
  i_12
  i_1
  i_2
  i_10
/;
set buses(*) /
  6
  11
  13
  7
  8
  14
  9
  2
  3
  12
  5
  4
  1
  10
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_17
  l_15
  l_16
  l_18
  l_14
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_3.2
  i_15.13
  i_13.10
  i_6.4
  i_14.12
  i_18.5
  i_8.6
  i_0.1
  i_9.6
  i_16.4
  i_11.9
  i_17.4
  i_7.6
  i_5.3
  i_4.2
  i_12.9
  i_1.1
  i_2.2
  i_10.7
/;
set ijDestination(i,j) /
  i_3.4
  i_15.14
  i_13.11
  i_6.5
  i_14.13
  i_18.6
  i_8.12
  i_0.2
  i_9.13
  i_16.7
  i_11.10
  i_17.9
  i_7.11
  i_5.4
  i_4.5
  i_12.14
  i_1.5
  i_2.3
  i_10.8
/;
set icMap(i,c) /
  i_3."'BL'"
  i_15."'BL'"
  i_13."'BL'"
  i_6."'BL'"
  i_14."'BL'"
  i_18."'BL'"
  i_8."'BL'"
  i_0."'BL'"
  i_9."'BL'"
  i_16."'BL'"
  i_11."'BL'"
  i_17."'BL'"
  i_7."'BL'"
  i_5."'BL'"
  i_4."'BL'"
  i_12."'BL'"
  i_1."'BL'"
  i_2."'BL'"
  i_10."'BL'"
/;
set ljMap(l,j) /
  l_17.6
  l_15.2
  l_16.3
  l_18.8
  l_14.1
/;
set luMap(l,u) /
  l_17."'1 '"
  l_15."'1 '"
  l_16."'1 '"
  l_18."'1 '"
  l_14."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  6         100.0
  11         100.0
  13         100.0
  7         100.0
  8         100.0
  14         100.0
  9         100.0
  2         100.0
  3         100.0
  12         100.0
  5         100.0
  4         100.0
  1         100.0
  10         100.0
/;
parameter jShuntConductance(j) /
  6         0.0
  11         0.0
  13         0.0
  7         0.0
  8         0.0
  14         0.0
  9         0.0
  2         0.0
  3         0.0
  12         0.0
  5         0.0
  4         0.0
  1         0.0
  10         0.0
/;
parameter jShuntSusceptance(j) /
  6         0.0
  11         0.0
  13         0.0
  7         0.0
  8         0.0
  14         0.0
  9         19.0
  2         0.0
  3         0.0
  12         0.0
  5         0.0
  4         0.0
  1         0.0
  10         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  6         0.9
  11         0.9
  13         0.9
  7         0.9
  8         0.9
  14         0.9
  9         0.9
  2         0.9
  3         0.9
  12         0.9
  5         0.9
  4         0.9
  1         0.9
  10         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  6         1.1
  11         1.1
  13         1.1
  7         1.1
  8         1.1
  14         1.1
  9         1.1
  2         1.1
  3         1.1
  12         1.1
  5         1.1
  4         1.1
  1         1.1
  10         1.1
/;
parameter jRealPowerDemand(j) /
  6         11.474250974059103
  11         4.17272870959714
  13         16.33082136658486
  7         0.0
  8         0.0
  14         13.880877012806014
  9         31.3752353431657
  2         25.073842047746293
  3         73.67640860058367
  12         4.959148732698521
  5         6.285395655762404
  4         38.30638658784329
  1         0.0
  10         10.946468852832913
/;
parameter jReactivePowerDemand(j) /
  6         8.79225483443588
  11         2.2978642669692637
  13         5.776346656102687
  7         0.0
  8         0.0
  14         4.448998961830512
  9         15.055611947104337
  2         11.720292534041219
  3         14.666032402031123
  12         2.0531797516345978
  5         1.9996976860612634
  4         -3.980472442377359
  1         0.0
  10         7.528866470735521
/;
parameter iSeriesResistance(i) /
  i_3         0.05811
  i_15         0.17093
  i_13         0.08205
  i_6         0.01335
  i_14         0.22092
  i_18         0.0
  i_8         0.12291
  i_0         0.01938
  i_9         0.06615
  i_16         0.0
  i_11         0.03181
  i_17         0.0
  i_7         0.09498
  i_5         0.06701
  i_4         0.05695
  i_12         0.12711
  i_1         0.05403
  i_2         0.04699
  i_10         0.0
/;
parameter iSeriesReactance(i) /
  i_3         0.17632
  i_15         0.34802
  i_13         0.19207
  i_6         0.04211
  i_14         0.19988
  i_18         0.25202
  i_8         0.25581
  i_0         0.05917
  i_9         0.13027
  i_16         0.20912
  i_11         0.0845
  i_17         0.55618
  i_7         0.1989
  i_5         0.17103
  i_4         0.17388
  i_12         0.27038
  i_1         0.22304
  i_2         0.19797
  i_10         0.17615
/;
parameter iChargingSusceptance(i) /
  i_3         0.034
  i_15         0.0
  i_13         0.0
  i_6         0.0
  i_14         0.0
  i_18         0.0
  i_8         0.0
  i_0         0.0528
  i_9         0.0
  i_16         0.0
  i_11         0.0
  i_17         0.0
  i_7         0.0
  i_5         0.0128
  i_4         0.0346
  i_12         0.0
  i_1         0.0492
  i_2         0.0438
  i_10         0.0
/;
parameter iTapRatio(i) /
  i_3         1.0
  i_15         1.0
  i_13         1.0
  i_6         1.0
  i_14         1.0
  i_18         0.932
  i_8         1.0
  i_0         1.0
  i_9         1.0
  i_16         0.978
  i_11         1.0
  i_17         0.969
  i_7         1.0
  i_5         1.0
  i_4         1.0
  i_12         1.0
  i_1         1.0
  i_2         1.0
  i_10         1.0
/;
parameter iPhaseShift(i) /
  i_3         0.0
  i_15         0.0
  i_13         0.0
  i_6         0.0
  i_14         0.0
  i_18         0.0
  i_8         0.0
  i_0         0.0
  i_9         0.0
  i_16         0.0
  i_11         0.0
  i_17         0.0
  i_7         0.0
  i_5         0.0
  i_4         0.0
  i_12         0.0
  i_1         0.0
  i_2         0.0
  i_10         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_3         109.2
  i_15         85.2
  i_13         156.0
  i_6         458.4
  i_14         38.4
  i_18         116.0
  i_8         51.6
  i_0         141.6
  i_9         176.4
  i_16         41.0
  i_11         255.6
  i_17         24.0
  i_7         175.2
  i_5         122.39999999999999
  i_4         73.2
  i_12         48.0
  i_1         51.6
  i_2         210.0
  i_10         56.4
/;
parameter lRealPowerMin(l) /
  l_17         1.1911340290680528
  l_15         43.60975026280305
  l_16         12.470765230245888
  l_18         8.347633830271661
  l_14         134.9728297906131
/;
parameter lRealPowerMax(l) /
  l_17         126.61848971154541
  l_15         98.32540099322794
  l_16         91.93736243061721
  l_18         83.95241205580533
  l_14         387.41904839856545
/;
parameter lReactivePowerMin(l) /
  l_17         -7.397465022001413
  l_15         -17.906775842420757
  l_16         1.718437984585762
  l_18         -9.916510691866279
  l_14         -168.96589014679193
/;
parameter lReactivePowerMax(l) /
  l_17         29.28273847214878
  l_15         46.29451237618923
  l_16         38.21439214237034
  l_18         17.335915949195623
  l_14         74.71567012369633
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
/;
parameter lmRealPowerCostExponent(l,m) /
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_17         38.75
  l_15         19.0
  l_16         49.25
  l_18         3.0
  l_14         5.0
/;
