parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_6
  i_14
  i_8
  i_10
  i_16
  i_13
  i_12
  i_4
  i_2
  i_7
  i_15
  i_3
  i_5
  i_17
  i_1
  i_11
  i_9
  i_0
  i_18
/;
set buses(*) /
  8
  4
  11
  1
  12
  13
  5
  9
  10
  14
  7
  3
  6
  2
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_17
  l_15
  l_14
  l_18
  l_16
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_6.4
  i_14.12
  i_8.6
  i_10.7
  i_16.4
  i_13.10
  i_12.9
  i_4.2
  i_2.2
  i_7.6
  i_15.13
  i_3.2
  i_5.3
  i_17.4
  i_1.1
  i_11.9
  i_9.6
  i_0.1
  i_18.5
/;
set ijDestination(i,j) /
  i_6.5
  i_14.13
  i_8.12
  i_10.8
  i_16.7
  i_13.11
  i_12.14
  i_4.5
  i_2.3
  i_7.11
  i_15.14
  i_3.4
  i_5.4
  i_17.9
  i_1.5
  i_11.10
  i_9.13
  i_0.2
  i_18.6
/;
set icMap(i,c) /
  i_6."'BL'"
  i_14."'BL'"
  i_8."'BL'"
  i_10."'BL'"
  i_16."'BL'"
  i_13."'BL'"
  i_12."'BL'"
  i_4."'BL'"
  i_2."'BL'"
  i_7."'BL'"
  i_15."'BL'"
  i_3."'BL'"
  i_5."'BL'"
  i_17."'BL'"
  i_1."'BL'"
  i_11."'BL'"
  i_9."'BL'"
  i_0."'BL'"
  i_18."'BL'"
/;
set ljMap(l,j) /
  l_17.6
  l_15.2
  l_14.1
  l_18.8
  l_16.3
/;
set luMap(l,u) /
  l_17."'1 '"
  l_15."'1 '"
  l_14."'1 '"
  l_18."'1 '"
  l_16."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  8         100.0
  4         100.0
  11         100.0
  1         100.0
  12         100.0
  13         100.0
  5         100.0
  9         100.0
  10         100.0
  14         100.0
  7         100.0
  3         100.0
  6         100.0
  2         100.0
/;
parameter jShuntConductance(j) /
  8         0.0
  4         0.0
  11         0.0
  1         0.0
  12         0.0
  13         0.0
  5         0.0
  9         0.0
  10         0.0
  14         0.0
  7         0.0
  3         0.0
  6         0.0
  2         0.0
/;
parameter jShuntSusceptance(j) /
  8         0.0
  4         0.0
  11         0.0
  1         0.0
  12         0.0
  13         0.0
  5         0.0
  9         19.0
  10         0.0
  14         0.0
  7         0.0
  3         0.0
  6         0.0
  2         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  8         0.9
  4         0.9
  11         0.9
  1         0.9
  12         0.9
  13         0.9
  5         0.9
  9         0.9
  10         0.9
  14         0.9
  7         0.9
  3         0.9
  6         0.9
  2         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  8         1.1
  4         1.1
  11         1.1
  1         1.1
  12         1.1
  13         1.1
  5         1.1
  9         1.1
  10         1.1
  14         1.1
  7         1.1
  3         1.1
  6         1.1
  2         1.1
/;
parameter jRealPowerDemand(j) /
  8         0.0
  4         35.47710921374149
  11         3.9199671565322203
  1         0.0
  12         4.8193384896032505
  13         15.369655461260116
  5         7.8270352985896166
  9         28.66062369761057
  10         8.738925331039354
  14         15.592596636097877
  7         0.0
  3         84.94295880560765
  6         12.470816678851842
  2         16.72269864527043
/;
parameter jReactivePowerDemand(j) /
  8         0.0
  4         -3.5184312360221517
  11         2.2595100963581354
  1         0.0
  12         1.7783530700206758
  13         6.320573248770088
  5         1.4919281301647427
  9         19.076979845650495
  10         4.200859681889415
  14         4.774641306372359
  7         0.0
  3         16.98861457640305
  6         7.167910200194455
  2         12.265521499230527
/;
parameter iSeriesResistance(i) /
  i_6         0.01335
  i_14         0.22092
  i_8         0.12291
  i_10         0.0
  i_16         0.0
  i_13         0.08205
  i_12         0.12711
  i_4         0.05695
  i_2         0.04699
  i_7         0.09498
  i_15         0.17093
  i_3         0.05811
  i_5         0.06701
  i_17         0.0
  i_1         0.05403
  i_11         0.03181
  i_9         0.06615
  i_0         0.01938
  i_18         0.0
/;
parameter iSeriesReactance(i) /
  i_6         0.04211
  i_14         0.19988
  i_8         0.25581
  i_10         0.17615
  i_16         0.20912
  i_13         0.19207
  i_12         0.27038
  i_4         0.17388
  i_2         0.19797
  i_7         0.1989
  i_15         0.34802
  i_3         0.17632
  i_5         0.17103
  i_17         0.55618
  i_1         0.22304
  i_11         0.0845
  i_9         0.13027
  i_0         0.05917
  i_18         0.25202
/;
parameter iChargingSusceptance(i) /
  i_6         0.0
  i_14         0.0
  i_8         0.0
  i_10         0.0
  i_16         0.0
  i_13         0.0
  i_12         0.0
  i_4         0.0346
  i_2         0.0438
  i_7         0.0
  i_15         0.0
  i_3         0.034
  i_5         0.0128
  i_17         0.0
  i_1         0.0492
  i_11         0.0
  i_9         0.0
  i_0         0.0528
  i_18         0.0
/;
parameter iTapRatio(i) /
  i_6         1.0
  i_14         1.0
  i_8         1.0
  i_10         1.0
  i_16         0.978
  i_13         1.0
  i_12         1.0
  i_4         1.0
  i_2         1.0
  i_7         1.0
  i_15         1.0
  i_3         1.0
  i_5         1.0
  i_17         0.969
  i_1         1.0
  i_11         1.0
  i_9         1.0
  i_0         1.0
  i_18         0.932
/;
parameter iPhaseShift(i) /
  i_6         0.0
  i_14         0.0
  i_8         0.0
  i_10         0.0
  i_16         0.0
  i_13         0.0
  i_12         0.0
  i_4         0.0
  i_2         0.0
  i_7         0.0
  i_15         0.0
  i_3         0.0
  i_5         0.0
  i_17         0.0
  i_1         0.0
  i_11         0.0
  i_9         0.0
  i_0         0.0
  i_18         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_6         458.4
  i_14         38.4
  i_8         51.6
  i_10         56.4
  i_16         41.0
  i_13         156.0
  i_12         48.0
  i_4         73.2
  i_2         210.0
  i_7         175.2
  i_15         85.2
  i_3         109.2
  i_5         122.39999999999999
  i_17         24.0
  i_1         51.6
  i_11         255.6
  i_9         176.4
  i_0         141.6
  i_18         116.0
/;
parameter lRealPowerMin(l) /
  l_17         20.79836368560791
  l_15         50.90468288418401
  l_14         46.533970166724146
  l_18         20.583802093751714
  l_16         5.124208554625511
/;
parameter lRealPowerMax(l) /
  l_17         111.38458738103509
  l_15         98.19580474775283
  l_14         378.7355637472495
  l_18         121.53567549306898
  l_16         103.19047400262207
/;
parameter lReactivePowerMin(l) /
  l_17         -13.464320314116776
  l_15         -52.13731899857521
  l_14         -135.25556320324537
  l_18         -13.782869008742274
  l_16         -3.6776506695896423
/;
parameter lReactivePowerMax(l) /
  l_17         17.553963566198945
  l_15         58.05554214166477
  l_14         86.05629590339959
  l_18         16.86444767899811
  l_16         29.917198222130533
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
/;
parameter lmRealPowerCostExponent(l,m) /
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_17         38.75
  l_15         19.0
  l_14         5.0
  l_18         3.0
  l_16         49.25
/;
