parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_1
  i_13
  i_15
  i_7
  i_14
  i_0
  i_6
  i_17
  i_2
  i_18
  i_9
  i_12
  i_16
  i_4
  i_8
  i_11
  i_10
  i_5
  i_3
/;
set buses(*) /
  12
  10
  3
  5
  6
  2
  13
  1
  11
  8
  4
  7
  14
  9
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_14
  l_17
  l_18
  l_16
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_1.1
  i_13.10
  i_15.13
  i_7.6
  i_14.12
  i_0.1
  i_6.4
  i_17.4
  i_2.2
  i_18.5
  i_9.6
  i_12.9
  i_16.4
  i_4.2
  i_8.6
  i_11.9
  i_10.7
  i_5.3
  i_3.2
/;
set ijDestination(i,j) /
  i_1.5
  i_13.11
  i_15.14
  i_7.11
  i_14.13
  i_0.2
  i_6.5
  i_17.9
  i_2.3
  i_18.6
  i_9.13
  i_12.14
  i_16.7
  i_4.5
  i_8.12
  i_11.10
  i_10.8
  i_5.4
  i_3.4
/;
set icMap(i,c) /
  i_1."'BL'"
  i_13."'BL'"
  i_15."'BL'"
  i_7."'BL'"
  i_14."'BL'"
  i_0."'BL'"
  i_6."'BL'"
  i_17."'BL'"
  i_2."'BL'"
  i_18."'BL'"
  i_9."'BL'"
  i_12."'BL'"
  i_16."'BL'"
  i_4."'BL'"
  i_8."'BL'"
  i_11."'BL'"
  i_10."'BL'"
  i_5."'BL'"
  i_3."'BL'"
/;
set ljMap(l,j) /
  l_14.1
  l_17.6
  l_18.8
  l_16.3
  l_15.2
/;
set luMap(l,u) /
  l_14."'1 '"
  l_17."'1 '"
  l_18."'1 '"
  l_16."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  12         100.0
  10         100.0
  3         100.0
  5         100.0
  6         100.0
  2         100.0
  13         100.0
  1         100.0
  11         100.0
  8         100.0
  4         100.0
  7         100.0
  14         100.0
  9         100.0
/;
parameter jShuntConductance(j) /
  12         0.0
  10         0.0
  3         0.0
  5         0.0
  6         0.0
  2         0.0
  13         0.0
  1         0.0
  11         0.0
  8         0.0
  4         0.0
  7         0.0
  14         0.0
  9         0.0
/;
parameter jShuntSusceptance(j) /
  12         0.0
  10         0.0
  3         0.0
  5         0.0
  6         0.0
  2         0.0
  13         0.0
  1         0.0
  11         0.0
  8         0.0
  4         0.0
  7         0.0
  14         0.0
  9         19.0
/;
parameter jVoltageMagnitudeMin(j) /
  12         0.9
  10         0.9
  3         0.9
  5         0.9
  6         0.9
  2         0.9
  13         0.9
  1         0.9
  11         0.9
  8         0.9
  4         0.9
  7         0.9
  14         0.9
  9         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  12         1.1
  10         1.1
  3         1.1
  5         1.1
  6         1.1
  2         1.1
  13         1.1
  1         1.1
  11         1.1
  8         1.1
  4         1.1
  7         1.1
  14         1.1
  9         1.1
/;
parameter jRealPowerDemand(j) /
  12         4.634323959816246
  10         7.682644514646381
  3         94.04971843960695
  5         7.948093164898455
  6         11.169574645236134
  2         27.519604277540928
  13         11.928578799194657
  1         0.0
  11         3.030184851912782
  8         0.0
  4         35.5089113623742
  7         0.0
  14         18.74267823122908
  9         32.426405379665084
/;
parameter jReactivePowerDemand(j) /
  12         2.0672227991372347
  10         5.676743215825408
  3         21.05751941697672
  5         1.6785617607831957
  6         9.363570052664727
  2         16.23395617371891
  13         5.026201292639598
  1         0.0
  11         2.242106609987095
  8         0.0
  4         -3.8800414878828446
  7         0.0
  14         4.359732630429789
  9         13.585297963805498
/;
parameter iSeriesResistance(i) /
  i_1         0.05403
  i_13         0.08205
  i_15         0.17093
  i_7         0.09498
  i_14         0.22092
  i_0         0.01938
  i_6         0.01335
  i_17         0.0
  i_2         0.04699
  i_18         0.0
  i_9         0.06615
  i_12         0.12711
  i_16         0.0
  i_4         0.05695
  i_8         0.12291
  i_11         0.03181
  i_10         0.0
  i_5         0.06701
  i_3         0.05811
/;
parameter iSeriesReactance(i) /
  i_1         0.22304
  i_13         0.19207
  i_15         0.34802
  i_7         0.1989
  i_14         0.19988
  i_0         0.05917
  i_6         0.04211
  i_17         0.55618
  i_2         0.19797
  i_18         0.25202
  i_9         0.13027
  i_12         0.27038
  i_16         0.20912
  i_4         0.17388
  i_8         0.25581
  i_11         0.0845
  i_10         0.17615
  i_5         0.17103
  i_3         0.17632
/;
parameter iChargingSusceptance(i) /
  i_1         0.0492
  i_13         0.0
  i_15         0.0
  i_7         0.0
  i_14         0.0
  i_0         0.0528
  i_6         0.0
  i_17         0.0
  i_2         0.0438
  i_18         0.0
  i_9         0.0
  i_12         0.0
  i_16         0.0
  i_4         0.0346
  i_8         0.0
  i_11         0.0
  i_10         0.0
  i_5         0.0128
  i_3         0.034
/;
parameter iTapRatio(i) /
  i_1         1.0
  i_13         1.0
  i_15         1.0
  i_7         1.0
  i_14         1.0
  i_0         1.0
  i_6         1.0
  i_17         0.969
  i_2         1.0
  i_18         0.932
  i_9         1.0
  i_12         1.0
  i_16         0.978
  i_4         1.0
  i_8         1.0
  i_11         1.0
  i_10         1.0
  i_5         1.0
  i_3         1.0
/;
parameter iPhaseShift(i) /
  i_1         0.0
  i_13         0.0
  i_15         0.0
  i_7         0.0
  i_14         0.0
  i_0         0.0
  i_6         0.0
  i_17         0.0
  i_2         0.0
  i_18         0.0
  i_9         0.0
  i_12         0.0
  i_16         0.0
  i_4         0.0
  i_8         0.0
  i_11         0.0
  i_10         0.0
  i_5         0.0
  i_3         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_1         51.6
  i_13         156.0
  i_15         85.2
  i_7         175.2
  i_14         38.4
  i_0         141.6
  i_6         458.4
  i_17         24.0
  i_2         210.0
  i_18         116.0
  i_9         176.4
  i_12         48.0
  i_16         41.0
  i_4         73.2
  i_8         51.6
  i_11         255.6
  i_10         56.4
  i_5         122.39999999999999
  i_3         109.2
/;
parameter lRealPowerMin(l) /
  l_14         54.63489753252479
  l_17         10.684901489876196
  l_18         4.709670790471137
  l_16         40.362495553106555
  l_15         2.149465729482472
/;
parameter lRealPowerMax(l) /
  l_14         290.5679543240927
  l_17         83.27948414720593
  l_18         120.82753041759133
  l_16         84.78395369369535
  l_15         102.92458860203624
/;
parameter lReactivePowerMin(l) /
  l_14         -140.21254159975797
  l_17         -8.462391210347416
  l_18         -13.919673544820398
  l_16         -7.8608383275568485
  l_15         -51.43341054208577
/;
parameter lReactivePowerMax(l) /
  l_14         107.86110654007643
  l_17         26.999990446865556
  l_18         18.732283618301153
  l_16         35.95711191743612
  l_15         43.29493844648823
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_14         5.0
  l_17         38.75
  l_18         3.0
  l_16         49.25
  l_15         19.0
/;
