parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_17
  i_7
  i_10
  i_1
  i_14
  i_8
  i_15
  i_18
  i_0
  i_16
  i_5
  i_12
  i_11
  i_9
  i_13
  i_3
  i_6
  i_2
  i_4
/;
set buses(*) /
  8
  10
  2
  1
  7
  12
  14
  13
  3
  11
  6
  4
  5
  9
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_16
  l_17
  l_14
  l_18
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_17.4
  i_7.6
  i_10.7
  i_1.1
  i_14.12
  i_8.6
  i_15.13
  i_18.5
  i_0.1
  i_16.4
  i_5.3
  i_12.9
  i_11.9
  i_9.6
  i_13.10
  i_3.2
  i_6.4
  i_2.2
  i_4.2
/;
set ijDestination(i,j) /
  i_17.9
  i_7.11
  i_10.8
  i_1.5
  i_14.13
  i_8.12
  i_15.14
  i_18.6
  i_0.2
  i_16.7
  i_5.4
  i_12.14
  i_11.10
  i_9.13
  i_13.11
  i_3.4
  i_6.5
  i_2.3
  i_4.5
/;
set icMap(i,c) /
  i_17."'BL'"
  i_7."'BL'"
  i_10."'BL'"
  i_1."'BL'"
  i_14."'BL'"
  i_8."'BL'"
  i_15."'BL'"
  i_18."'BL'"
  i_0."'BL'"
  i_16."'BL'"
  i_5."'BL'"
  i_12."'BL'"
  i_11."'BL'"
  i_9."'BL'"
  i_13."'BL'"
  i_3."'BL'"
  i_6."'BL'"
  i_2."'BL'"
  i_4."'BL'"
/;
set ljMap(l,j) /
  l_16.3
  l_17.6
  l_14.1
  l_18.8
  l_15.2
/;
set luMap(l,u) /
  l_16."'1 '"
  l_17."'1 '"
  l_14."'1 '"
  l_18."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  8         100.0
  10         100.0
  2         100.0
  1         100.0
  7         100.0
  12         100.0
  14         100.0
  13         100.0
  3         100.0
  11         100.0
  6         100.0
  4         100.0
  5         100.0
  9         100.0
/;
parameter jShuntConductance(j) /
  8         0.0
  10         0.0
  2         0.0
  1         0.0
  7         0.0
  12         0.0
  14         0.0
  13         0.0
  3         0.0
  11         0.0
  6         0.0
  4         0.0
  5         0.0
  9         0.0
/;
parameter jShuntSusceptance(j) /
  8         0.0
  10         0.0
  2         0.0
  1         0.0
  7         0.0
  12         0.0
  14         0.0
  13         0.0
  3         0.0
  11         0.0
  6         0.0
  4         0.0
  5         0.0
  9         19.0
/;
parameter jVoltageMagnitudeMin(j) /
  8         0.9
  10         0.9
  2         0.9
  1         0.9
  7         0.9
  12         0.9
  14         0.9
  13         0.9
  3         0.9
  11         0.9
  6         0.9
  4         0.9
  5         0.9
  9         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  8         1.1
  10         1.1
  2         1.1
  1         1.1
  7         1.1
  12         1.1
  14         1.1
  13         1.1
  3         1.1
  11         1.1
  6         1.1
  4         1.1
  5         1.1
  9         1.1
/;
parameter jRealPowerDemand(j) /
  8         0.0
  10         10.037631013104692
  2         17.038624787819572
  1         0.0
  7         0.0
  12         7.146827868884429
  14         13.81103533806745
  13         9.959353132685646
  3         108.452732134033
  11         4.021016857866198
  6         12.69857575573027
  4         33.67073767721652
  5         9.367966763246805
  9         29.743272399716076
/;
parameter jReactivePowerDemand(j) /
  8         0.0
  10         6.942268046913668
  2         11.936377572729253
  1         0.0
  7         0.0
  12         1.4947587341815234
  14         6.097295094281435
  13         5.3031340083945535
  3         22.705131584871562
  11         1.3128962248563767
  6         8.494077337905765
  4         -3.876950524840504
  5         1.162075838521123
  9         17.739880058625715
/;
parameter iSeriesResistance(i) /
  i_17         0.0
  i_7         0.09498
  i_10         0.0
  i_1         0.05403
  i_14         0.22092
  i_8         0.12291
  i_15         0.17093
  i_18         0.0
  i_0         0.01938
  i_16         0.0
  i_5         0.06701
  i_12         0.12711
  i_11         0.03181
  i_9         0.06615
  i_13         0.08205
  i_3         0.05811
  i_6         0.01335
  i_2         0.04699
  i_4         0.05695
/;
parameter iSeriesReactance(i) /
  i_17         0.55618
  i_7         0.1989
  i_10         0.17615
  i_1         0.22304
  i_14         0.19988
  i_8         0.25581
  i_15         0.34802
  i_18         0.25202
  i_0         0.05917
  i_16         0.20912
  i_5         0.17103
  i_12         0.27038
  i_11         0.0845
  i_9         0.13027
  i_13         0.19207
  i_3         0.17632
  i_6         0.04211
  i_2         0.19797
  i_4         0.17388
/;
parameter iChargingSusceptance(i) /
  i_17         0.0
  i_7         0.0
  i_10         0.0
  i_1         0.0492
  i_14         0.0
  i_8         0.0
  i_15         0.0
  i_18         0.0
  i_0         0.0528
  i_16         0.0
  i_5         0.0128
  i_12         0.0
  i_11         0.0
  i_9         0.0
  i_13         0.0
  i_3         0.034
  i_6         0.0
  i_2         0.0438
  i_4         0.0346
/;
parameter iTapRatio(i) /
  i_17         0.969
  i_7         1.0
  i_10         1.0
  i_1         1.0
  i_14         1.0
  i_8         1.0
  i_15         1.0
  i_18         0.932
  i_0         1.0
  i_16         0.978
  i_5         1.0
  i_12         1.0
  i_11         1.0
  i_9         1.0
  i_13         1.0
  i_3         1.0
  i_6         1.0
  i_2         1.0
  i_4         1.0
/;
parameter iPhaseShift(i) /
  i_17         0.0
  i_7         0.0
  i_10         0.0
  i_1         0.0
  i_14         0.0
  i_8         0.0
  i_15         0.0
  i_18         0.0
  i_0         0.0
  i_16         0.0
  i_5         0.0
  i_12         0.0
  i_11         0.0
  i_9         0.0
  i_13         0.0
  i_3         0.0
  i_6         0.0
  i_2         0.0
  i_4         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_17         24.0
  i_7         175.2
  i_10         56.4
  i_1         51.6
  i_14         38.4
  i_8         51.6
  i_15         85.2
  i_18         116.0
  i_0         141.6
  i_16         41.0
  i_5         122.39999999999999
  i_12         48.0
  i_11         255.6
  i_9         176.4
  i_13         156.0
  i_3         109.2
  i_6         458.4
  i_2         210.0
  i_4         73.2
/;
parameter lRealPowerMin(l) /
  l_16         1.2360367365181446
  l_17         12.44250520575042
  l_14         23.250464847832916
  l_18         1.507062977179885
  l_15         32.97679058276117
/;
parameter lRealPowerMax(l) /
  l_16         107.94267325662076
  l_17         80.07948042359203
  l_14         275.19307345200326
  l_18         107.93273482006043
  l_15         181.277543512173
/;
parameter lReactivePowerMin(l) /
  l_16         15.225050887092952
  l_17         0.9067088462412372
  l_14         -85.2896205149591
  l_18         -5.579655477683989
  l_15         -14.712513790931546
/;
parameter lReactivePowerMax(l) /
  l_16         45.633263824507594
  l_17         22.36772570796311
  l_14         95.87826220318675
  l_18         18.620851834863423
  l_15         53.51674758829177
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_16         49.25
  l_17         38.75
  l_14         5.0
  l_18         3.0
  l_15         19.0
/;
