parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_0
  i_16
  i_3
  i_11
  i_17
  i_1
  i_5
  i_13
  i_12
  i_4
  i_9
  i_18
  i_8
  i_14
  i_6
  i_15
  i_7
  i_2
  i_10
/;
set buses(*) /
  10
  6
  9
  2
  13
  5
  8
  12
  4
  1
  3
  7
  14
  11
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_17
  l_14
  l_16
  l_15
  l_18
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_0.1
  i_16.4
  i_3.2
  i_11.9
  i_17.4
  i_1.1
  i_5.3
  i_13.10
  i_12.9
  i_4.2
  i_9.6
  i_18.5
  i_8.6
  i_14.12
  i_6.4
  i_15.13
  i_7.6
  i_2.2
  i_10.7
/;
set ijDestination(i,j) /
  i_0.2
  i_16.7
  i_3.4
  i_11.10
  i_17.9
  i_1.5
  i_5.4
  i_13.11
  i_12.14
  i_4.5
  i_9.13
  i_18.6
  i_8.12
  i_14.13
  i_6.5
  i_15.14
  i_7.11
  i_2.3
  i_10.8
/;
set icMap(i,c) /
  i_0."'BL'"
  i_16."'BL'"
  i_3."'BL'"
  i_11."'BL'"
  i_17."'BL'"
  i_1."'BL'"
  i_5."'BL'"
  i_13."'BL'"
  i_12."'BL'"
  i_4."'BL'"
  i_9."'BL'"
  i_18."'BL'"
  i_8."'BL'"
  i_14."'BL'"
  i_6."'BL'"
  i_15."'BL'"
  i_7."'BL'"
  i_2."'BL'"
  i_10."'BL'"
/;
set ljMap(l,j) /
  l_17.6
  l_14.1
  l_16.3
  l_15.2
  l_18.8
/;
set luMap(l,u) /
  l_17."'1 '"
  l_14."'1 '"
  l_16."'1 '"
  l_15."'1 '"
  l_18."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  10         100.0
  6         100.0
  9         100.0
  2         100.0
  13         100.0
  5         100.0
  8         100.0
  12         100.0
  4         100.0
  1         100.0
  3         100.0
  7         100.0
  14         100.0
  11         100.0
/;
parameter jShuntConductance(j) /
  10         0.0
  6         0.0
  9         0.0
  2         0.0
  13         0.0
  5         0.0
  8         0.0
  12         0.0
  4         0.0
  1         0.0
  3         0.0
  7         0.0
  14         0.0
  11         0.0
/;
parameter jShuntSusceptance(j) /
  10         0.0
  6         0.0
  9         19.0
  2         0.0
  13         0.0
  5         0.0
  8         0.0
  12         0.0
  4         0.0
  1         0.0
  3         0.0
  7         0.0
  14         0.0
  11         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  10         0.9
  6         0.9
  9         0.9
  2         0.9
  13         0.9
  5         0.9
  8         0.9
  12         0.9
  4         0.9
  1         0.9
  3         0.9
  7         0.9
  14         0.9
  11         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  10         1.1
  6         1.1
  9         1.1
  2         1.1
  13         1.1
  5         1.1
  8         1.1
  12         1.1
  4         1.1
  1         1.1
  3         1.1
  7         1.1
  14         1.1
  11         1.1
/;
parameter jRealPowerDemand(j) /
  10         6.348303445754572
  6         12.493288141936064
  9         21.107741953246293
  2         19.477475627656094
  13         11.789156166021712
  5         6.36164425753057
  8         0.0
  12         6.114731964967213
  4         35.1259428303875
  1         0.0
  3         102.19756399288775
  7         0.0
  14         13.93426811719779
  11         3.8538206665776675
/;
parameter jReactivePowerDemand(j) /
  10         6.614658098742365
  6         8.055588743649423
  9         16.84209241631441
  2         11.67023957171943
  13         5.127646584138274
  5         1.4987743113189937
  8         0.0
  12         1.353992093652487
  4         -2.734494242579676
  1         0.0
  3         19.933698673918844
  7         0.0
  14         4.354165486292914
  11         1.3133912772405893
/;
parameter iSeriesResistance(i) /
  i_0         0.01938
  i_16         0.0
  i_3         0.05811
  i_11         0.03181
  i_17         0.0
  i_1         0.05403
  i_5         0.06701
  i_13         0.08205
  i_12         0.12711
  i_4         0.05695
  i_9         0.06615
  i_18         0.0
  i_8         0.12291
  i_14         0.22092
  i_6         0.01335
  i_15         0.17093
  i_7         0.09498
  i_2         0.04699
  i_10         0.0
/;
parameter iSeriesReactance(i) /
  i_0         0.05917
  i_16         0.20912
  i_3         0.17632
  i_11         0.0845
  i_17         0.55618
  i_1         0.22304
  i_5         0.17103
  i_13         0.19207
  i_12         0.27038
  i_4         0.17388
  i_9         0.13027
  i_18         0.25202
  i_8         0.25581
  i_14         0.19988
  i_6         0.04211
  i_15         0.34802
  i_7         0.1989
  i_2         0.19797
  i_10         0.17615
/;
parameter iChargingSusceptance(i) /
  i_0         0.0528
  i_16         0.0
  i_3         0.034
  i_11         0.0
  i_17         0.0
  i_1         0.0492
  i_5         0.0128
  i_13         0.0
  i_12         0.0
  i_4         0.0346
  i_9         0.0
  i_18         0.0
  i_8         0.0
  i_14         0.0
  i_6         0.0
  i_15         0.0
  i_7         0.0
  i_2         0.0438
  i_10         0.0
/;
parameter iTapRatio(i) /
  i_0         1.0
  i_16         0.978
  i_3         1.0
  i_11         1.0
  i_17         0.969
  i_1         1.0
  i_5         1.0
  i_13         1.0
  i_12         1.0
  i_4         1.0
  i_9         1.0
  i_18         0.932
  i_8         1.0
  i_14         1.0
  i_6         1.0
  i_15         1.0
  i_7         1.0
  i_2         1.0
  i_10         1.0
/;
parameter iPhaseShift(i) /
  i_0         0.0
  i_16         0.0
  i_3         0.0
  i_11         0.0
  i_17         0.0
  i_1         0.0
  i_5         0.0
  i_13         0.0
  i_12         0.0
  i_4         0.0
  i_9         0.0
  i_18         0.0
  i_8         0.0
  i_14         0.0
  i_6         0.0
  i_15         0.0
  i_7         0.0
  i_2         0.0
  i_10         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_0         141.6
  i_16         41.0
  i_3         109.2
  i_11         255.6
  i_17         24.0
  i_1         51.6
  i_5         122.39999999999999
  i_13         156.0
  i_12         48.0
  i_4         73.2
  i_9         176.4
  i_18         116.0
  i_8         51.6
  i_14         38.4
  i_6         458.4
  i_15         85.2
  i_7         175.2
  i_2         210.0
  i_10         56.4
/;
parameter lRealPowerMin(l) /
  l_17         37.983641861937954
  l_14         107.94757485865875
  l_16         32.91927234269677
  l_15         9.878004311778792
  l_18         4.30000470019877
/;
parameter lRealPowerMax(l) /
  l_17         110.84534257184715
  l_14         253.5555469131097
  l_16         108.247024086304
  l_15         148.81895129103214
  l_18         119.74409487564117
/;
parameter lReactivePowerMin(l) /
  l_17         -17.512207710742953
  l_14         -82.84081228543073
  l_16         17.956629630178217
  l_15         -23.58960712281987
  l_18         -10.277090510353446
/;
parameter lReactivePowerMax(l) /
  l_17         18.074172653630374
  l_14         106.2200960284099
  l_16         47.75326401554048
  l_15         58.79853209480643
  l_18         25.98387405462563
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
/;
parameter lmRealPowerCostExponent(l,m) /
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_17         38.75
  l_14         5.0
  l_16         49.25
  l_15         19.0
  l_18         3.0
/;
