parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_1
  i_9
  i_15
  i_3
  i_10
  i_17
  i_6
  i_12
  i_4
  i_13
  i_0
  i_14
  i_16
  i_8
  i_18
  i_2
  i_7
  i_11
  i_5
/;
set buses(*) /
  14
  1
  6
  5
  10
  9
  7
  8
  2
  4
  12
  3
  11
  13
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_15
  l_14
  l_18
  l_17
  l_16
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_1.1
  i_9.6
  i_15.13
  i_3.2
  i_10.7
  i_17.4
  i_6.4
  i_12.9
  i_4.2
  i_13.10
  i_0.1
  i_14.12
  i_16.4
  i_8.6
  i_18.5
  i_2.2
  i_7.6
  i_11.9
  i_5.3
/;
set ijDestination(i,j) /
  i_1.5
  i_9.13
  i_15.14
  i_3.4
  i_10.8
  i_17.9
  i_6.5
  i_12.14
  i_4.5
  i_13.11
  i_0.2
  i_14.13
  i_16.7
  i_8.12
  i_18.6
  i_2.3
  i_7.11
  i_11.10
  i_5.4
/;
set icMap(i,c) /
  i_1."'BL'"
  i_9."'BL'"
  i_15."'BL'"
  i_3."'BL'"
  i_10."'BL'"
  i_17."'BL'"
  i_6."'BL'"
  i_12."'BL'"
  i_4."'BL'"
  i_13."'BL'"
  i_0."'BL'"
  i_14."'BL'"
  i_16."'BL'"
  i_8."'BL'"
  i_18."'BL'"
  i_2."'BL'"
  i_7."'BL'"
  i_11."'BL'"
  i_5."'BL'"
/;
set ljMap(l,j) /
  l_15.2
  l_14.1
  l_18.8
  l_17.6
  l_16.3
/;
set luMap(l,u) /
  l_15."'1 '"
  l_14."'1 '"
  l_18."'1 '"
  l_17."'1 '"
  l_16."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  14         100.0
  1         100.0
  6         100.0
  5         100.0
  10         100.0
  9         100.0
  7         100.0
  8         100.0
  2         100.0
  4         100.0
  12         100.0
  3         100.0
  11         100.0
  13         100.0
/;
parameter jShuntConductance(j) /
  14         0.0
  1         0.0
  6         0.0
  5         0.0
  10         0.0
  9         0.0
  7         0.0
  8         0.0
  2         0.0
  4         0.0
  12         0.0
  3         0.0
  11         0.0
  13         0.0
/;
parameter jShuntSusceptance(j) /
  14         0.0
  1         0.0
  6         0.0
  5         0.0
  10         0.0
  9         19.0
  7         0.0
  8         0.0
  2         0.0
  4         0.0
  12         0.0
  3         0.0
  11         0.0
  13         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  14         0.9
  1         0.9
  6         0.9
  5         0.9
  10         0.9
  9         0.9
  7         0.9
  8         0.9
  2         0.9
  4         0.9
  12         0.9
  3         0.9
  11         0.9
  13         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  14         1.1
  1         1.1
  6         1.1
  5         1.1
  10         1.1
  9         1.1
  7         1.1
  8         1.1
  2         1.1
  4         1.1
  12         1.1
  3         1.1
  11         1.1
  13         1.1
/;
parameter jRealPowerDemand(j) /
  14         18.4345135622751
  1         0.0
  6         11.195918541327119
  5         9.121808438282459
  10         8.395449641766026
  9         27.931792311486788
  7         0.0
  8         0.0
  2         22.99114053523168
  4         44.5992440504767
  12         7.214517192943021
  3         75.50472412602045
  11         3.1509502250468358
  13         14.269039310887457
/;
parameter jReactivePowerDemand(j) /
  14         5.978189270710573
  1         0.0
  6         6.24438221915625
  5         2.039187172576785
  10         5.622366143204272
  9         11.90996903527528
  7         0.0
  8         0.0
  2         11.123047597971743
  4         -2.840240117409266
  12         1.1505498450249434
  3         23.85864477637224
  11         1.71325497941114
  13         5.6474059434328225
/;
parameter iSeriesResistance(i) /
  i_1         0.05403
  i_9         0.06615
  i_15         0.17093
  i_3         0.05811
  i_10         0.0
  i_17         0.0
  i_6         0.01335
  i_12         0.12711
  i_4         0.05695
  i_13         0.08205
  i_0         0.01938
  i_14         0.22092
  i_16         0.0
  i_8         0.12291
  i_18         0.0
  i_2         0.04699
  i_7         0.09498
  i_11         0.03181
  i_5         0.06701
/;
parameter iSeriesReactance(i) /
  i_1         0.22304
  i_9         0.13027
  i_15         0.34802
  i_3         0.17632
  i_10         0.17615
  i_17         0.55618
  i_6         0.04211
  i_12         0.27038
  i_4         0.17388
  i_13         0.19207
  i_0         0.05917
  i_14         0.19988
  i_16         0.20912
  i_8         0.25581
  i_18         0.25202
  i_2         0.19797
  i_7         0.1989
  i_11         0.0845
  i_5         0.17103
/;
parameter iChargingSusceptance(i) /
  i_1         0.0492
  i_9         0.0
  i_15         0.0
  i_3         0.034
  i_10         0.0
  i_17         0.0
  i_6         0.0
  i_12         0.0
  i_4         0.0346
  i_13         0.0
  i_0         0.0528
  i_14         0.0
  i_16         0.0
  i_8         0.0
  i_18         0.0
  i_2         0.0438
  i_7         0.0
  i_11         0.0
  i_5         0.0128
/;
parameter iTapRatio(i) /
  i_1         1.0
  i_9         1.0
  i_15         1.0
  i_3         1.0
  i_10         1.0
  i_17         0.969
  i_6         1.0
  i_12         1.0
  i_4         1.0
  i_13         1.0
  i_0         1.0
  i_14         1.0
  i_16         0.978
  i_8         1.0
  i_18         0.932
  i_2         1.0
  i_7         1.0
  i_11         1.0
  i_5         1.0
/;
parameter iPhaseShift(i) /
  i_1         0.0
  i_9         0.0
  i_15         0.0
  i_3         0.0
  i_10         0.0
  i_17         0.0
  i_6         0.0
  i_12         0.0
  i_4         0.0
  i_13         0.0
  i_0         0.0
  i_14         0.0
  i_16         0.0
  i_8         0.0
  i_18         0.0
  i_2         0.0
  i_7         0.0
  i_11         0.0
  i_5         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_1         51.6
  i_9         176.4
  i_15         85.2
  i_3         109.2
  i_10         56.4
  i_17         24.0
  i_6         458.4
  i_12         48.0
  i_4         73.2
  i_13         156.0
  i_0         141.6
  i_14         38.4
  i_16         41.0
  i_8         51.6
  i_18         116.0
  i_2         210.0
  i_7         175.2
  i_11         255.6
  i_5         122.39999999999999
/;
parameter lRealPowerMin(l) /
  l_15         56.5045403289598
  l_14         117.62734917339007
  l_18         2.050754874944701
  l_17         14.000346491347473
  l_16         8.938114489428699
/;
parameter lRealPowerMax(l) /
  l_15         111.32938822451979
  l_14         261.08458632113405
  l_18         76.33448626380414
  l_17         98.49988363683224
  l_16         92.00904506724328
/;
parameter lReactivePowerMin(l) /
  l_15         -19.61535818129778
  l_14         -113.33856125362217
  l_18         3.9857638453133433
  l_17         -1.3188280421309209
  l_16         19.510201770812273
/;
parameter lReactivePowerMax(l) /
  l_15         50.425040980335325
  l_14         81.42479651607573
  l_18         27.926912140846255
  l_17         29.4781064260751
  l_16         49.75309433043003
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
/;
parameter lmRealPowerCostExponent(l,m) /
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_15         19.0
  l_14         5.0
  l_18         3.0
  l_17         38.75
  l_16         49.25
/;
