parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_11
  i_12
  i_15
  i_1
  i_8
  i_17
  i_18
  i_4
  i_14
  i_16
  i_5
  i_6
  i_9
  i_2
  i_3
  i_0
  i_10
  i_13
  i_7
/;
set buses(*) /
  10
  12
  13
  2
  3
  6
  14
  4
  9
  1
  5
  11
  7
  8
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_18
  l_17
  l_16
  l_14
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_11.9
  i_12.9
  i_15.13
  i_1.1
  i_8.6
  i_17.4
  i_18.5
  i_4.2
  i_14.12
  i_16.4
  i_5.3
  i_6.4
  i_9.6
  i_2.2
  i_3.2
  i_0.1
  i_10.7
  i_13.10
  i_7.6
/;
set ijDestination(i,j) /
  i_11.10
  i_12.14
  i_15.14
  i_1.5
  i_8.12
  i_17.9
  i_18.6
  i_4.5
  i_14.13
  i_16.7
  i_5.4
  i_6.5
  i_9.13
  i_2.3
  i_3.4
  i_0.2
  i_10.8
  i_13.11
  i_7.11
/;
set icMap(i,c) /
  i_11."'BL'"
  i_12."'BL'"
  i_15."'BL'"
  i_1."'BL'"
  i_8."'BL'"
  i_17."'BL'"
  i_18."'BL'"
  i_4."'BL'"
  i_14."'BL'"
  i_16."'BL'"
  i_5."'BL'"
  i_6."'BL'"
  i_9."'BL'"
  i_2."'BL'"
  i_3."'BL'"
  i_0."'BL'"
  i_10."'BL'"
  i_13."'BL'"
  i_7."'BL'"
/;
set ljMap(l,j) /
  l_18.8
  l_17.6
  l_16.3
  l_14.1
  l_15.2
/;
set luMap(l,u) /
  l_18."'1 '"
  l_17."'1 '"
  l_16."'1 '"
  l_14."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  10         100.0
  12         100.0
  13         100.0
  2         100.0
  3         100.0
  6         100.0
  14         100.0
  4         100.0
  9         100.0
  1         100.0
  5         100.0
  11         100.0
  7         100.0
  8         100.0
/;
parameter jShuntConductance(j) /
  10         0.0
  12         0.0
  13         0.0
  2         0.0
  3         0.0
  6         0.0
  14         0.0
  4         0.0
  9         0.0
  1         0.0
  5         0.0
  11         0.0
  7         0.0
  8         0.0
/;
parameter jShuntSusceptance(j) /
  10         0.0
  12         0.0
  13         0.0
  2         0.0
  3         0.0
  6         0.0
  14         0.0
  4         0.0
  9         19.0
  1         0.0
  5         0.0
  11         0.0
  7         0.0
  8         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  10         0.9
  12         0.9
  13         0.9
  2         0.9
  3         0.9
  6         0.9
  14         0.9
  4         0.9
  9         0.9
  1         0.9
  5         0.9
  11         0.9
  7         0.9
  8         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  10         1.1
  12         1.1
  13         1.1
  2         1.1
  3         1.1
  6         1.1
  14         1.1
  4         1.1
  9         1.1
  1         1.1
  5         1.1
  11         1.1
  7         1.1
  8         1.1
/;
parameter jRealPowerDemand(j) /
  10         6.7984023346099995
  12         4.838939770134165
  13         14.852646806580015
  2         17.267868782142177
  3         67.4516869954113
  6         14.508505897000433
  14         17.406257078903728
  4         50.798270709663626
  9         30.969164876174183
  1         0.0
  5         7.501492695566267
  11         2.6735781789524475
  7         0.0
  8         0.0
/;
parameter jReactivePowerDemand(j) /
  10         4.433535492448136
  12         1.421205033361912
  13         5.69385013481602
  2         9.209279047288
  3         15.743537320988253
  6         9.007649873499759
  14         5.081933786626905
  4         -4.65227194479201
  9         21.40065726271831
  1         0.0
  5         1.771006166934967
  11         2.251819134503603
  7         0.0
  8         0.0
/;
parameter iSeriesResistance(i) /
  i_11         0.03181
  i_12         0.12711
  i_15         0.17093
  i_1         0.05403
  i_8         0.12291
  i_17         0.0
  i_18         0.0
  i_4         0.05695
  i_14         0.22092
  i_16         0.0
  i_5         0.06701
  i_6         0.01335
  i_9         0.06615
  i_2         0.04699
  i_3         0.05811
  i_0         0.01938
  i_10         0.0
  i_13         0.08205
  i_7         0.09498
/;
parameter iSeriesReactance(i) /
  i_11         0.0845
  i_12         0.27038
  i_15         0.34802
  i_1         0.22304
  i_8         0.25581
  i_17         0.55618
  i_18         0.25202
  i_4         0.17388
  i_14         0.19988
  i_16         0.20912
  i_5         0.17103
  i_6         0.04211
  i_9         0.13027
  i_2         0.19797
  i_3         0.17632
  i_0         0.05917
  i_10         0.17615
  i_13         0.19207
  i_7         0.1989
/;
parameter iChargingSusceptance(i) /
  i_11         0.0
  i_12         0.0
  i_15         0.0
  i_1         0.0492
  i_8         0.0
  i_17         0.0
  i_18         0.0
  i_4         0.0346
  i_14         0.0
  i_16         0.0
  i_5         0.0128
  i_6         0.0
  i_9         0.0
  i_2         0.0438
  i_3         0.034
  i_0         0.0528
  i_10         0.0
  i_13         0.0
  i_7         0.0
/;
parameter iTapRatio(i) /
  i_11         1.0
  i_12         1.0
  i_15         1.0
  i_1         1.0
  i_8         1.0
  i_17         0.969
  i_18         0.932
  i_4         1.0
  i_14         1.0
  i_16         0.978
  i_5         1.0
  i_6         1.0
  i_9         1.0
  i_2         1.0
  i_3         1.0
  i_0         1.0
  i_10         1.0
  i_13         1.0
  i_7         1.0
/;
parameter iPhaseShift(i) /
  i_11         0.0
  i_12         0.0
  i_15         0.0
  i_1         0.0
  i_8         0.0
  i_17         0.0
  i_18         0.0
  i_4         0.0
  i_14         0.0
  i_16         0.0
  i_5         0.0
  i_6         0.0
  i_9         0.0
  i_2         0.0
  i_3         0.0
  i_0         0.0
  i_10         0.0
  i_13         0.0
  i_7         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_11         255.6
  i_12         48.0
  i_15         85.2
  i_1         51.6
  i_8         51.6
  i_17         24.0
  i_18         116.0
  i_4         73.2
  i_14         38.4
  i_16         41.0
  i_5         122.39999999999999
  i_6         458.4
  i_9         176.4
  i_2         210.0
  i_3         109.2
  i_0         141.6
  i_10         56.4
  i_13         156.0
  i_7         175.2
/;
parameter lRealPowerMin(l) /
  l_18         14.025350622832775
  l_17         36.95749242324382
  l_16         52.029174668714404
  l_14         80.28674823050218
  l_15         31.438506916165352
/;
parameter lRealPowerMax(l) /
  l_18         128.80807580891997
  l_17         122.52258146181703
  l_16         124.11915687844157
  l_14         342.1706264851056
  l_15         180.78000576794147
/;
parameter lReactivePowerMin(l) /
  l_18         -11.193926370050761
  l_17         -7.945698273461311
  l_16         4.2513674553483725
  l_14         -64.34700416401029
  l_15         -59.83574725547807
/;
parameter lReactivePowerMax(l) /
  l_18         20.147143750637767
  l_17         21.78672562390566
  l_16         38.576367201283574
  l_14         108.12536080367863
  l_15         39.26799757173285
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_18         3.0
  l_17         38.75
  l_16         49.25
  l_14         5.0
  l_15         19.0
/;
