parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_4
  i_6
  i_0
  i_10
  i_2
  i_15
  i_3
  i_14
  i_1
  i_17
  i_5
  i_7
  i_12
  i_16
  i_11
  i_13
  i_8
  i_9
  i_18
/;
set buses(*) /
  2
  11
  3
  14
  6
  4
  10
  8
  5
  7
  1
  12
  13
  9
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_17
  l_14
  l_15
  l_16
  l_18
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_4.2
  i_6.4
  i_0.1
  i_10.7
  i_2.2
  i_15.13
  i_3.2
  i_14.12
  i_1.1
  i_17.4
  i_5.3
  i_7.6
  i_12.9
  i_16.4
  i_11.9
  i_13.10
  i_8.6
  i_9.6
  i_18.5
/;
set ijDestination(i,j) /
  i_4.5
  i_6.5
  i_0.2
  i_10.8
  i_2.3
  i_15.14
  i_3.4
  i_14.13
  i_1.5
  i_17.9
  i_5.4
  i_7.11
  i_12.14
  i_16.7
  i_11.10
  i_13.11
  i_8.12
  i_9.13
  i_18.6
/;
set icMap(i,c) /
  i_4."'BL'"
  i_6."'BL'"
  i_0."'BL'"
  i_10."'BL'"
  i_2."'BL'"
  i_15."'BL'"
  i_3."'BL'"
  i_14."'BL'"
  i_1."'BL'"
  i_17."'BL'"
  i_5."'BL'"
  i_7."'BL'"
  i_12."'BL'"
  i_16."'BL'"
  i_11."'BL'"
  i_13."'BL'"
  i_8."'BL'"
  i_9."'BL'"
  i_18."'BL'"
/;
set ljMap(l,j) /
  l_17.6
  l_14.1
  l_15.2
  l_16.3
  l_18.8
/;
set luMap(l,u) /
  l_17."'1 '"
  l_14."'1 '"
  l_15."'1 '"
  l_16."'1 '"
  l_18."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  2         100.0
  11         100.0
  3         100.0
  14         100.0
  6         100.0
  4         100.0
  10         100.0
  8         100.0
  5         100.0
  7         100.0
  1         100.0
  12         100.0
  13         100.0
  9         100.0
/;
parameter jShuntConductance(j) /
  2         0.0
  11         0.0
  3         0.0
  14         0.0
  6         0.0
  4         0.0
  10         0.0
  8         0.0
  5         0.0
  7         0.0
  1         0.0
  12         0.0
  13         0.0
  9         0.0
/;
parameter jShuntSusceptance(j) /
  2         0.0
  11         0.0
  3         0.0
  14         0.0
  6         0.0
  4         0.0
  10         0.0
  8         0.0
  5         0.0
  7         0.0
  1         0.0
  12         0.0
  13         0.0
  9         19.0
/;
parameter jVoltageMagnitudeMin(j) /
  2         0.9
  11         0.9
  3         0.9
  14         0.9
  6         0.9
  4         0.9
  10         0.9
  8         0.9
  5         0.9
  7         0.9
  1         0.9
  12         0.9
  13         0.9
  9         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  2         1.1
  11         1.1
  3         1.1
  14         1.1
  6         1.1
  4         1.1
  10         1.1
  8         1.1
  5         1.1
  7         1.1
  1         1.1
  12         1.1
  13         1.1
  9         1.1
/;
parameter jRealPowerDemand(j) /
  2         15.821850087293422
  11         4.34946953272447
  3         119.34529334952124
  14         14.328911020038648
  6         11.932665524631737
  4         48.739633962027725
  10         7.408061588136479
  8         0.0
  5         6.62070576397702
  7         0.0
  1         0.0
  12         6.210995274875312
  13         13.577805471536703
  9         28.82582250072155
/;
parameter jReactivePowerDemand(j) /
  2         12.203661786592566
  11         1.827410512659699
  3         18.39837076254189
  14         4.376401391578838
  6         8.22376154945232
  4         -4.971183715006336
  10         4.66717546723783
  8         0.0
  5         1.948760279119015
  7         0.0
  1         0.0
  12         2.002031168788672
  13         5.194180090185254
  9         16.58520433632657
/;
parameter iSeriesResistance(i) /
  i_4         0.05695
  i_6         0.01335
  i_0         0.01938
  i_10         0.0
  i_2         0.04699
  i_15         0.17093
  i_3         0.05811
  i_14         0.22092
  i_1         0.05403
  i_17         0.0
  i_5         0.06701
  i_7         0.09498
  i_12         0.12711
  i_16         0.0
  i_11         0.03181
  i_13         0.08205
  i_8         0.12291
  i_9         0.06615
  i_18         0.0
/;
parameter iSeriesReactance(i) /
  i_4         0.17388
  i_6         0.04211
  i_0         0.05917
  i_10         0.17615
  i_2         0.19797
  i_15         0.34802
  i_3         0.17632
  i_14         0.19988
  i_1         0.22304
  i_17         0.55618
  i_5         0.17103
  i_7         0.1989
  i_12         0.27038
  i_16         0.20912
  i_11         0.0845
  i_13         0.19207
  i_8         0.25581
  i_9         0.13027
  i_18         0.25202
/;
parameter iChargingSusceptance(i) /
  i_4         0.0346
  i_6         0.0
  i_0         0.0528
  i_10         0.0
  i_2         0.0438
  i_15         0.0
  i_3         0.034
  i_14         0.0
  i_1         0.0492
  i_17         0.0
  i_5         0.0128
  i_7         0.0
  i_12         0.0
  i_16         0.0
  i_11         0.0
  i_13         0.0
  i_8         0.0
  i_9         0.0
  i_18         0.0
/;
parameter iTapRatio(i) /
  i_4         1.0
  i_6         1.0
  i_0         1.0
  i_10         1.0
  i_2         1.0
  i_15         1.0
  i_3         1.0
  i_14         1.0
  i_1         1.0
  i_17         0.969
  i_5         1.0
  i_7         1.0
  i_12         1.0
  i_16         0.978
  i_11         1.0
  i_13         1.0
  i_8         1.0
  i_9         1.0
  i_18         0.932
/;
parameter iPhaseShift(i) /
  i_4         0.0
  i_6         0.0
  i_0         0.0
  i_10         0.0
  i_2         0.0
  i_15         0.0
  i_3         0.0
  i_14         0.0
  i_1         0.0
  i_17         0.0
  i_5         0.0
  i_7         0.0
  i_12         0.0
  i_16         0.0
  i_11         0.0
  i_13         0.0
  i_8         0.0
  i_9         0.0
  i_18         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_4         73.2
  i_6         458.4
  i_0         141.6
  i_10         56.4
  i_2         210.0
  i_15         85.2
  i_3         109.2
  i_14         38.4
  i_1         51.6
  i_17         24.0
  i_5         122.39999999999999
  i_7         175.2
  i_12         48.0
  i_16         41.0
  i_11         255.6
  i_13         156.0
  i_8         51.6
  i_9         176.4
  i_18         116.0
/;
parameter lRealPowerMin(l) /
  l_17         20.31149072572589
  l_14         7.418903204295816
  l_15         16.739304536953583
  l_16         61.46537068953122
  l_18         17.10792552571724
/;
parameter lRealPowerMax(l) /
  l_17         105.69535453803837
  l_14         272.2479449715279
  l_15         126.90225158724934
  l_16         94.161187261343
  l_18         71.12404542975128
/;
parameter lReactivePowerMin(l) /
  l_17         -6.3258254589512966
  l_14         -166.23567160218954
  l_15         -41.019136406481266
  l_16         -3.56414882093668
  l_18         -9.108456935081634
/;
parameter lReactivePowerMax(l) /
  l_17         25.307048496231435
  l_14         89.19019062072039
  l_15         43.905351732391864
  l_16         41.13709379546344
  l_18         20.552513559535143
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
/;
parameter lmRealPowerCostExponent(l,m) /
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_17         38.75
  l_14         5.0
  l_15         19.0
  l_16         49.25
  l_18         3.0
/;
