parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_9
  i_15
  i_4
  i_11
  i_18
  i_17
  i_3
  i_1
  i_12
  i_8
  i_10
  i_0
  i_5
  i_6
  i_16
  i_14
  i_2
  i_13
  i_7
/;
set buses(*) /
  8
  10
  4
  6
  11
  5
  2
  14
  3
  9
  12
  7
  13
  1
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_18
  l_15
  l_14
  l_17
  l_16
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_9.6
  i_15.13
  i_4.2
  i_11.9
  i_18.5
  i_17.4
  i_3.2
  i_1.1
  i_12.9
  i_8.6
  i_10.7
  i_0.1
  i_5.3
  i_6.4
  i_16.4
  i_14.12
  i_2.2
  i_13.10
  i_7.6
/;
set ijDestination(i,j) /
  i_9.13
  i_15.14
  i_4.5
  i_11.10
  i_18.6
  i_17.9
  i_3.4
  i_1.5
  i_12.14
  i_8.12
  i_10.8
  i_0.2
  i_5.4
  i_6.5
  i_16.7
  i_14.13
  i_2.3
  i_13.11
  i_7.11
/;
set icMap(i,c) /
  i_9."'BL'"
  i_15."'BL'"
  i_4."'BL'"
  i_11."'BL'"
  i_18."'BL'"
  i_17."'BL'"
  i_3."'BL'"
  i_1."'BL'"
  i_12."'BL'"
  i_8."'BL'"
  i_10."'BL'"
  i_0."'BL'"
  i_5."'BL'"
  i_6."'BL'"
  i_16."'BL'"
  i_14."'BL'"
  i_2."'BL'"
  i_13."'BL'"
  i_7."'BL'"
/;
set ljMap(l,j) /
  l_18.8
  l_15.2
  l_14.1
  l_17.6
  l_16.3
/;
set luMap(l,u) /
  l_18."'1 '"
  l_15."'1 '"
  l_14."'1 '"
  l_17."'1 '"
  l_16."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  8         100.0
  10         100.0
  4         100.0
  6         100.0
  11         100.0
  5         100.0
  2         100.0
  14         100.0
  3         100.0
  9         100.0
  12         100.0
  7         100.0
  13         100.0
  1         100.0
/;
parameter jShuntConductance(j) /
  8         0.0
  10         0.0
  4         0.0
  6         0.0
  11         0.0
  5         0.0
  2         0.0
  14         0.0
  3         0.0
  9         0.0
  12         0.0
  7         0.0
  13         0.0
  1         0.0
/;
parameter jShuntSusceptance(j) /
  8         0.0
  10         0.0
  4         0.0
  6         0.0
  11         0.0
  5         0.0
  2         0.0
  14         0.0
  3         0.0
  9         19.0
  12         0.0
  7         0.0
  13         0.0
  1         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  8         0.9
  10         0.9
  4         0.9
  6         0.9
  11         0.9
  5         0.9
  2         0.9
  14         0.9
  3         0.9
  9         0.9
  12         0.9
  7         0.9
  13         0.9
  1         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  8         1.1
  10         1.1
  4         1.1
  6         1.1
  11         1.1
  5         1.1
  2         1.1
  14         1.1
  3         1.1
  9         1.1
  12         1.1
  7         1.1
  13         1.1
  1         1.1
/;
parameter jRealPowerDemand(j) /
  8         0.0
  10         7.304291266109794
  4         34.325371915316204
  6         9.685963986590503
  11         2.8422074861824513
  5         8.144267612583935
  2         20.58527438409161
  14         12.063758179079741
  3         122.30847851690838
  9         26.969366959342732
  12         4.420697421645745
  7         0.0
  13         17.080315549252553
  1         0.0
/;
parameter jReactivePowerDemand(j) /
  8         0.0
  10         6.480859463540837
  4         -3.151444212715141
  6         7.1039426531642675
  11         1.855646412363276
  5         1.4594348908215762
  2         10.818163679470308
  14         5.53514184593223
  3         19.55086119505577
  9         13.888484253939243
  12         1.2925764174759387
  7         0.0
  13         5.115904811872169
  1         0.0
/;
parameter iSeriesResistance(i) /
  i_9         0.06615
  i_15         0.17093
  i_4         0.05695
  i_11         0.03181
  i_18         0.0
  i_17         0.0
  i_3         0.05811
  i_1         0.05403
  i_12         0.12711
  i_8         0.12291
  i_10         0.0
  i_0         0.01938
  i_5         0.06701
  i_6         0.01335
  i_16         0.0
  i_14         0.22092
  i_2         0.04699
  i_13         0.08205
  i_7         0.09498
/;
parameter iSeriesReactance(i) /
  i_9         0.13027
  i_15         0.34802
  i_4         0.17388
  i_11         0.0845
  i_18         0.25202
  i_17         0.55618
  i_3         0.17632
  i_1         0.22304
  i_12         0.27038
  i_8         0.25581
  i_10         0.17615
  i_0         0.05917
  i_5         0.17103
  i_6         0.04211
  i_16         0.20912
  i_14         0.19988
  i_2         0.19797
  i_13         0.19207
  i_7         0.1989
/;
parameter iChargingSusceptance(i) /
  i_9         0.0
  i_15         0.0
  i_4         0.0346
  i_11         0.0
  i_18         0.0
  i_17         0.0
  i_3         0.034
  i_1         0.0492
  i_12         0.0
  i_8         0.0
  i_10         0.0
  i_0         0.0528
  i_5         0.0128
  i_6         0.0
  i_16         0.0
  i_14         0.0
  i_2         0.0438
  i_13         0.0
  i_7         0.0
/;
parameter iTapRatio(i) /
  i_9         1.0
  i_15         1.0
  i_4         1.0
  i_11         1.0
  i_18         0.932
  i_17         0.969
  i_3         1.0
  i_1         1.0
  i_12         1.0
  i_8         1.0
  i_10         1.0
  i_0         1.0
  i_5         1.0
  i_6         1.0
  i_16         0.978
  i_14         1.0
  i_2         1.0
  i_13         1.0
  i_7         1.0
/;
parameter iPhaseShift(i) /
  i_9         0.0
  i_15         0.0
  i_4         0.0
  i_11         0.0
  i_18         0.0
  i_17         0.0
  i_3         0.0
  i_1         0.0
  i_12         0.0
  i_8         0.0
  i_10         0.0
  i_0         0.0
  i_5         0.0
  i_6         0.0
  i_16         0.0
  i_14         0.0
  i_2         0.0
  i_13         0.0
  i_7         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_9         176.4
  i_15         85.2
  i_4         73.2
  i_11         255.6
  i_18         116.0
  i_17         24.0
  i_3         109.2
  i_1         51.6
  i_12         48.0
  i_8         51.6
  i_10         56.4
  i_0         141.6
  i_5         122.39999999999999
  i_6         458.4
  i_16         41.0
  i_14         38.4
  i_2         210.0
  i_13         156.0
  i_7         175.2
/;
parameter lRealPowerMin(l) /
  l_18         7.19818592241287
  l_15         15.405958727002144
  l_14         120.4721623393644
  l_17         4.323093267157674
  l_16         62.0997080095002
/;
parameter lRealPowerMax(l) /
  l_18         94.21025587245822
  l_15         156.35600361414254
  l_14         370.7714985053055
  l_17         125.0230426946655
  l_16         73.45500028692186
/;
parameter lReactivePowerMin(l) /
  l_18         -13.078915664646772
  l_15         -58.30836187908427
  l_14         -86.25653452705593
  l_17         -3.337372845970094
  l_16         -1.3228031918406487
/;
parameter lReactivePowerMax(l) /
  l_18         19.96296192593873
  l_15         51.419066209346056
  l_14         71.10224006231873
  l_17         20.29907489195466
  l_16         50.38223457336426
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
/;
parameter lmRealPowerCostExponent(l,m) /
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_18         3.0
  l_15         19.0
  l_14         5.0
  l_17         38.75
  l_16         49.25
/;
