parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_6
  i_12
  i_13
  i_11
  i_0
  i_4
  i_14
  i_3
  i_17
  i_2
  i_15
  i_9
  i_8
  i_10
  i_16
  i_18
  i_1
  i_7
  i_5
/;
set buses(*) /
  9
  11
  14
  1
  4
  13
  2
  3
  12
  5
  8
  10
  7
  6
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_15
  l_17
  l_16
  l_14
  l_18
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_6.4
  i_12.9
  i_13.10
  i_11.9
  i_0.1
  i_4.2
  i_14.12
  i_3.2
  i_17.4
  i_2.2
  i_15.13
  i_9.6
  i_8.6
  i_10.7
  i_16.4
  i_18.5
  i_1.1
  i_7.6
  i_5.3
/;
set ijDestination(i,j) /
  i_6.5
  i_12.14
  i_13.11
  i_11.10
  i_0.2
  i_4.5
  i_14.13
  i_3.4
  i_17.9
  i_2.3
  i_15.14
  i_9.13
  i_8.12
  i_10.8
  i_16.7
  i_18.6
  i_1.5
  i_7.11
  i_5.4
/;
set icMap(i,c) /
  i_6."'BL'"
  i_12."'BL'"
  i_13."'BL'"
  i_11."'BL'"
  i_0."'BL'"
  i_4."'BL'"
  i_14."'BL'"
  i_3."'BL'"
  i_17."'BL'"
  i_2."'BL'"
  i_15."'BL'"
  i_9."'BL'"
  i_8."'BL'"
  i_10."'BL'"
  i_16."'BL'"
  i_18."'BL'"
  i_1."'BL'"
  i_7."'BL'"
  i_5."'BL'"
/;
set ljMap(l,j) /
  l_15.2
  l_17.6
  l_16.3
  l_14.1
  l_18.8
/;
set luMap(l,u) /
  l_15."'1 '"
  l_17."'1 '"
  l_16."'1 '"
  l_14."'1 '"
  l_18."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  9         100.0
  11         100.0
  14         100.0
  1         100.0
  4         100.0
  13         100.0
  2         100.0
  3         100.0
  12         100.0
  5         100.0
  8         100.0
  10         100.0
  7         100.0
  6         100.0
/;
parameter jShuntConductance(j) /
  9         0.0
  11         0.0
  14         0.0
  1         0.0
  4         0.0
  13         0.0
  2         0.0
  3         0.0
  12         0.0
  5         0.0
  8         0.0
  10         0.0
  7         0.0
  6         0.0
/;
parameter jShuntSusceptance(j) /
  9         19.0
  11         0.0
  14         0.0
  1         0.0
  4         0.0
  13         0.0
  2         0.0
  3         0.0
  12         0.0
  5         0.0
  8         0.0
  10         0.0
  7         0.0
  6         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  9         0.9
  11         0.9
  14         0.9
  1         0.9
  4         0.9
  13         0.9
  2         0.9
  3         0.9
  12         0.9
  5         0.9
  8         0.9
  10         0.9
  7         0.9
  6         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  9         1.1
  11         1.1
  14         1.1
  1         1.1
  4         1.1
  13         1.1
  2         1.1
  3         1.1
  12         1.1
  5         1.1
  8         1.1
  10         1.1
  7         1.1
  6         1.1
/;
parameter jRealPowerDemand(j) /
  9         35.282004327047616
  11         2.750510948034935
  14         15.584875368857755
  1         0.0
  4         50.513440022068096
  13         15.823383030015975
  2         25.97833784318529
  3         121.5806105990801
  12         5.999448268245905
  5         7.498671955764293
  8         0.0
  10         7.697334130201488
  7         0.0
  6         8.143611487820744
/;
parameter jReactivePowerDemand(j) /
  9         17.369082491798327
  11         1.8169008435029534
  14         3.817539057927206
  1         0.0
  4         -4.490368383885361
  13         6.431159234587103
  2         13.312110317354088
  3         16.080681765545158
  12         1.469674822986126
  5         1.506808906197548
  8         0.0
  10         4.393602336654439
  7         0.0
  6         7.506754738977178
/;
parameter iSeriesResistance(i) /
  i_6         0.01335
  i_12         0.12711
  i_13         0.08205
  i_11         0.03181
  i_0         0.01938
  i_4         0.05695
  i_14         0.22092
  i_3         0.05811
  i_17         0.0
  i_2         0.04699
  i_15         0.17093
  i_9         0.06615
  i_8         0.12291
  i_10         0.0
  i_16         0.0
  i_18         0.0
  i_1         0.05403
  i_7         0.09498
  i_5         0.06701
/;
parameter iSeriesReactance(i) /
  i_6         0.04211
  i_12         0.27038
  i_13         0.19207
  i_11         0.0845
  i_0         0.05917
  i_4         0.17388
  i_14         0.19988
  i_3         0.17632
  i_17         0.55618
  i_2         0.19797
  i_15         0.34802
  i_9         0.13027
  i_8         0.25581
  i_10         0.17615
  i_16         0.20912
  i_18         0.25202
  i_1         0.22304
  i_7         0.1989
  i_5         0.17103
/;
parameter iChargingSusceptance(i) /
  i_6         0.0
  i_12         0.0
  i_13         0.0
  i_11         0.0
  i_0         0.0528
  i_4         0.0346
  i_14         0.0
  i_3         0.034
  i_17         0.0
  i_2         0.0438
  i_15         0.0
  i_9         0.0
  i_8         0.0
  i_10         0.0
  i_16         0.0
  i_18         0.0
  i_1         0.0492
  i_7         0.0
  i_5         0.0128
/;
parameter iTapRatio(i) /
  i_6         1.0
  i_12         1.0
  i_13         1.0
  i_11         1.0
  i_0         1.0
  i_4         1.0
  i_14         1.0
  i_3         1.0
  i_17         0.969
  i_2         1.0
  i_15         1.0
  i_9         1.0
  i_8         1.0
  i_10         1.0
  i_16         0.978
  i_18         0.932
  i_1         1.0
  i_7         1.0
  i_5         1.0
/;
parameter iPhaseShift(i) /
  i_6         0.0
  i_12         0.0
  i_13         0.0
  i_11         0.0
  i_0         0.0
  i_4         0.0
  i_14         0.0
  i_3         0.0
  i_17         0.0
  i_2         0.0
  i_15         0.0
  i_9         0.0
  i_8         0.0
  i_10         0.0
  i_16         0.0
  i_18         0.0
  i_1         0.0
  i_7         0.0
  i_5         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_6         458.4
  i_12         48.0
  i_13         156.0
  i_11         255.6
  i_0         141.6
  i_4         73.2
  i_14         38.4
  i_3         109.2
  i_17         24.0
  i_2         210.0
  i_15         85.2
  i_9         176.4
  i_8         51.6
  i_10         56.4
  i_16         41.0
  i_18         116.0
  i_1         51.6
  i_7         175.2
  i_5         122.39999999999999
/;
parameter lRealPowerMin(l) /
  l_15         18.881456499919295
  l_17         4.168174406513572
  l_16         6.567693360373596
  l_14         152.07514925115396
  l_18         39.22466269405511
/;
parameter lRealPowerMax(l) /
  l_15         171.4653581948951
  l_17         86.50021031033248
  l_16         104.91215760819614
  l_14         258.57281458821143
  l_18         71.98550881352274
/;
parameter lReactivePowerMin(l) /
  l_15         -41.43308088276535
  l_17         -11.27430746359751
  l_16         -3.4724888652563095
  l_14         -125.71726366877559
  l_18         2.3966282232664504
/;
parameter lReactivePowerMax(l) /
  l_15         37.93710691621527
  l_17         25.34129062592983
  l_16         29.05951391160488
  l_14         76.15615234710276
  l_18         26.07729894518852
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
/;
parameter lmRealPowerCostExponent(l,m) /
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_15         19.0
  l_17         38.75
  l_16         49.25
  l_14         5.0
  l_18         3.0
/;
