parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_9
  i_15
  i_16
  i_3
  i_5
  i_8
  i_10
  i_12
  i_14
  i_2
  i_7
  i_4
  i_0
  i_6
  i_17
  i_11
  i_1
  i_13
  i_18
/;
set buses(*) /
  1
  2
  14
  6
  12
  7
  13
  10
  5
  4
  9
  8
  3
  11
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_14
  l_17
  l_15
  l_18
  l_16
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_9.6
  i_15.13
  i_16.4
  i_3.2
  i_5.3
  i_8.6
  i_10.7
  i_12.9
  i_14.12
  i_2.2
  i_7.6
  i_4.2
  i_0.1
  i_6.4
  i_17.4
  i_11.9
  i_1.1
  i_13.10
  i_18.5
/;
set ijDestination(i,j) /
  i_9.13
  i_15.14
  i_16.7
  i_3.4
  i_5.4
  i_8.12
  i_10.8
  i_12.14
  i_14.13
  i_2.3
  i_7.11
  i_4.5
  i_0.2
  i_6.5
  i_17.9
  i_11.10
  i_1.5
  i_13.11
  i_18.6
/;
set icMap(i,c) /
  i_9."'BL'"
  i_15."'BL'"
  i_16."'BL'"
  i_3."'BL'"
  i_5."'BL'"
  i_8."'BL'"
  i_10."'BL'"
  i_12."'BL'"
  i_14."'BL'"
  i_2."'BL'"
  i_7."'BL'"
  i_4."'BL'"
  i_0."'BL'"
  i_6."'BL'"
  i_17."'BL'"
  i_11."'BL'"
  i_1."'BL'"
  i_13."'BL'"
  i_18."'BL'"
/;
set ljMap(l,j) /
  l_14.1
  l_17.6
  l_15.2
  l_18.8
  l_16.3
/;
set luMap(l,u) /
  l_14."'1 '"
  l_17."'1 '"
  l_15."'1 '"
  l_18."'1 '"
  l_16."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  1         100.0
  2         100.0
  14         100.0
  6         100.0
  12         100.0
  7         100.0
  13         100.0
  10         100.0
  5         100.0
  4         100.0
  9         100.0
  8         100.0
  3         100.0
  11         100.0
/;
parameter jShuntConductance(j) /
  1         0.0
  2         0.0
  14         0.0
  6         0.0
  12         0.0
  7         0.0
  13         0.0
  10         0.0
  5         0.0
  4         0.0
  9         0.0
  8         0.0
  3         0.0
  11         0.0
/;
parameter jShuntSusceptance(j) /
  1         0.0
  2         0.0
  14         0.0
  6         0.0
  12         0.0
  7         0.0
  13         0.0
  10         0.0
  5         0.0
  4         0.0
  9         19.0
  8         0.0
  3         0.0
  11         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  1         0.9
  2         0.9
  14         0.9
  6         0.9
  12         0.9
  7         0.9
  13         0.9
  10         0.9
  5         0.9
  4         0.9
  9         0.9
  8         0.9
  3         0.9
  11         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  1         1.1
  2         1.1
  14         1.1
  6         1.1
  12         1.1
  7         1.1
  13         1.1
  10         1.1
  5         1.1
  4         1.1
  9         1.1
  8         1.1
  3         1.1
  11         1.1
/;
parameter jRealPowerDemand(j) /
  1         0.0
  2         21.960624573458915
  14         11.798759191539139
  6         8.132254246175288
  12         7.504682380482554
  7         0.0
  13         10.652738482318817
  10         11.486909423768521
  5         6.642933252435177
  4         52.70781578936614
  9         27.272108506783844
  8         0.0
  3         83.16340272509494
  11         3.6629561201436442
/;
parameter jReactivePowerDemand(j) /
  1         0.0
  2         9.7395221083099
  14         6.103294035652653
  6         8.277420561527833
  12         1.686672030389309
  7         0.0
  13         4.6475370384193955
  10         7.48023496804759
  5         1.1621357098966836
  4         -4.593632885841653
  9         19.951865257108587
  8         0.0
  3         18.03611134015955
  11         2.2040786762908104
/;
parameter iSeriesResistance(i) /
  i_9         0.06615
  i_15         0.17093
  i_16         0.0
  i_3         0.05811
  i_5         0.06701
  i_8         0.12291
  i_10         0.0
  i_12         0.12711
  i_14         0.22092
  i_2         0.04699
  i_7         0.09498
  i_4         0.05695
  i_0         0.01938
  i_6         0.01335
  i_17         0.0
  i_11         0.03181
  i_1         0.05403
  i_13         0.08205
  i_18         0.0
/;
parameter iSeriesReactance(i) /
  i_9         0.13027
  i_15         0.34802
  i_16         0.20912
  i_3         0.17632
  i_5         0.17103
  i_8         0.25581
  i_10         0.17615
  i_12         0.27038
  i_14         0.19988
  i_2         0.19797
  i_7         0.1989
  i_4         0.17388
  i_0         0.05917
  i_6         0.04211
  i_17         0.55618
  i_11         0.0845
  i_1         0.22304
  i_13         0.19207
  i_18         0.25202
/;
parameter iChargingSusceptance(i) /
  i_9         0.0
  i_15         0.0
  i_16         0.0
  i_3         0.034
  i_5         0.0128
  i_8         0.0
  i_10         0.0
  i_12         0.0
  i_14         0.0
  i_2         0.0438
  i_7         0.0
  i_4         0.0346
  i_0         0.0528
  i_6         0.0
  i_17         0.0
  i_11         0.0
  i_1         0.0492
  i_13         0.0
  i_18         0.0
/;
parameter iTapRatio(i) /
  i_9         1.0
  i_15         1.0
  i_16         0.978
  i_3         1.0
  i_5         1.0
  i_8         1.0
  i_10         1.0
  i_12         1.0
  i_14         1.0
  i_2         1.0
  i_7         1.0
  i_4         1.0
  i_0         1.0
  i_6         1.0
  i_17         0.969
  i_11         1.0
  i_1         1.0
  i_13         1.0
  i_18         0.932
/;
parameter iPhaseShift(i) /
  i_9         0.0
  i_15         0.0
  i_16         0.0
  i_3         0.0
  i_5         0.0
  i_8         0.0
  i_10         0.0
  i_12         0.0
  i_14         0.0
  i_2         0.0
  i_7         0.0
  i_4         0.0
  i_0         0.0
  i_6         0.0
  i_17         0.0
  i_11         0.0
  i_1         0.0
  i_13         0.0
  i_18         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_9         176.4
  i_15         85.2
  i_16         41.0
  i_3         109.2
  i_5         122.39999999999999
  i_8         51.6
  i_10         56.4
  i_12         48.0
  i_14         38.4
  i_2         210.0
  i_7         175.2
  i_4         73.2
  i_0         141.6
  i_6         458.4
  i_17         24.0
  i_11         255.6
  i_1         51.6
  i_13         156.0
  i_18         116.0
/;
parameter lRealPowerMin(l) /
  l_14         75.57837904253972
  l_17         8.047784096561372
  l_15         15.325059031136334
  l_18         5.169127802364542
  l_16         1.5904959244653583
/;
parameter lRealPowerMax(l) /
  l_14         421.0470115754194
  l_17         100.45780959073454
  l_15         134.77741381898522
  l_18         123.80433763843031
  l_16         81.36349408421665
/;
parameter lReactivePowerMin(l) /
  l_14         -94.18868088163435
  l_17         -13.860700873844326
  l_15         -19.64046653686092
  l_18         -2.019725558068604
  l_16         15.976911032572389
/;
parameter lReactivePowerMax(l) /
  l_14         97.56763263605535
  l_17         18.580963135510682
  l_15         58.436739565804594
  l_18         19.605966728925704
  l_16         50.852591563016176
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
/;
parameter lmRealPowerCostExponent(l,m) /
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_14         5.0
  l_17         38.75
  l_15         19.0
  l_18         3.0
  l_16         49.25
/;
