parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_3
  i_12
  i_4
  i_5
  i_14
  i_7
  i_10
  i_8
  i_6
  i_0
  i_2
  i_9
  i_13
  i_15
  i_17
  i_11
  i_18
  i_16
  i_1
/;
set buses(*) /
  12
  5
  2
  7
  10
  1
  6
  11
  14
  3
  9
  4
  13
  8
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_18
  l_17
  l_16
  l_14
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_3.2
  i_12.9
  i_4.2
  i_5.3
  i_14.12
  i_7.6
  i_10.7
  i_8.6
  i_6.4
  i_0.1
  i_2.2
  i_9.6
  i_13.10
  i_15.13
  i_17.4
  i_11.9
  i_18.5
  i_16.4
  i_1.1
/;
set ijDestination(i,j) /
  i_3.4
  i_12.14
  i_4.5
  i_5.4
  i_14.13
  i_7.11
  i_10.8
  i_8.12
  i_6.5
  i_0.2
  i_2.3
  i_9.13
  i_13.11
  i_15.14
  i_17.9
  i_11.10
  i_18.6
  i_16.7
  i_1.5
/;
set icMap(i,c) /
  i_3."'BL'"
  i_12."'BL'"
  i_4."'BL'"
  i_5."'BL'"
  i_14."'BL'"
  i_7."'BL'"
  i_10."'BL'"
  i_8."'BL'"
  i_6."'BL'"
  i_0."'BL'"
  i_2."'BL'"
  i_9."'BL'"
  i_13."'BL'"
  i_15."'BL'"
  i_17."'BL'"
  i_11."'BL'"
  i_18."'BL'"
  i_16."'BL'"
  i_1."'BL'"
/;
set ljMap(l,j) /
  l_18.8
  l_17.6
  l_16.3
  l_14.1
  l_15.2
/;
set luMap(l,u) /
  l_18."'1 '"
  l_17."'1 '"
  l_16."'1 '"
  l_14."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  12         100.0
  5         100.0
  2         100.0
  7         100.0
  10         100.0
  1         100.0
  6         100.0
  11         100.0
  14         100.0
  3         100.0
  9         100.0
  4         100.0
  13         100.0
  8         100.0
/;
parameter jShuntConductance(j) /
  12         0.0
  5         0.0
  2         0.0
  7         0.0
  10         0.0
  1         0.0
  6         0.0
  11         0.0
  14         0.0
  3         0.0
  9         0.0
  4         0.0
  13         0.0
  8         0.0
/;
parameter jShuntSusceptance(j) /
  12         0.0
  5         0.0
  2         0.0
  7         0.0
  10         0.0
  1         0.0
  6         0.0
  11         0.0
  14         0.0
  3         0.0
  9         19.0
  4         0.0
  13         0.0
  8         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  12         0.9
  5         0.9
  2         0.9
  7         0.9
  10         0.9
  1         0.9
  6         0.9
  11         0.9
  14         0.9
  3         0.9
  9         0.9
  4         0.9
  13         0.9
  8         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  12         1.1
  5         1.1
  2         1.1
  7         1.1
  10         1.1
  1         1.1
  6         1.1
  11         1.1
  14         1.1
  3         1.1
  9         1.1
  4         1.1
  13         1.1
  8         1.1
/;
parameter jRealPowerDemand(j) /
  12         5.850853253528475
  5         9.81119902530685
  2         23.17160370500758
  7         0.0
  10         11.385012287367136
  1         0.0
  6         9.019084331691264
  11         4.299073524028063
  14         19.285373954637908
  3         69.81968596184626
  9         31.452930268156344
  4         42.46029812389984
  13         9.743880604603326
  8         0.0
/;
parameter jReactivePowerDemand(j) /
  12         1.6077460703253745
  5         1.179688779041171
  2         13.197667621681466
  7         0.0
  10         6.671413414180279
  1         0.0
  6         8.946562997996807
  11         1.262391435680911
  14         3.962313919328153
  3         14.700809578504414
  9         15.39069672397338
  4         -4.608509907885455
  13         6.882711778469383
  8         0.0
/;
parameter iSeriesResistance(i) /
  i_3         0.05811
  i_12         0.12711
  i_4         0.05695
  i_5         0.06701
  i_14         0.22092
  i_7         0.09498
  i_10         0.0
  i_8         0.12291
  i_6         0.01335
  i_0         0.01938
  i_2         0.04699
  i_9         0.06615
  i_13         0.08205
  i_15         0.17093
  i_17         0.0
  i_11         0.03181
  i_18         0.0
  i_16         0.0
  i_1         0.05403
/;
parameter iSeriesReactance(i) /
  i_3         0.17632
  i_12         0.27038
  i_4         0.17388
  i_5         0.17103
  i_14         0.19988
  i_7         0.1989
  i_10         0.17615
  i_8         0.25581
  i_6         0.04211
  i_0         0.05917
  i_2         0.19797
  i_9         0.13027
  i_13         0.19207
  i_15         0.34802
  i_17         0.55618
  i_11         0.0845
  i_18         0.25202
  i_16         0.20912
  i_1         0.22304
/;
parameter iChargingSusceptance(i) /
  i_3         0.034
  i_12         0.0
  i_4         0.0346
  i_5         0.0128
  i_14         0.0
  i_7         0.0
  i_10         0.0
  i_8         0.0
  i_6         0.0
  i_0         0.0528
  i_2         0.0438
  i_9         0.0
  i_13         0.0
  i_15         0.0
  i_17         0.0
  i_11         0.0
  i_18         0.0
  i_16         0.0
  i_1         0.0492
/;
parameter iTapRatio(i) /
  i_3         1.0
  i_12         1.0
  i_4         1.0
  i_5         1.0
  i_14         1.0
  i_7         1.0
  i_10         1.0
  i_8         1.0
  i_6         1.0
  i_0         1.0
  i_2         1.0
  i_9         1.0
  i_13         1.0
  i_15         1.0
  i_17         0.969
  i_11         1.0
  i_18         0.932
  i_16         0.978
  i_1         1.0
/;
parameter iPhaseShift(i) /
  i_3         0.0
  i_12         0.0
  i_4         0.0
  i_5         0.0
  i_14         0.0
  i_7         0.0
  i_10         0.0
  i_8         0.0
  i_6         0.0
  i_0         0.0
  i_2         0.0
  i_9         0.0
  i_13         0.0
  i_15         0.0
  i_17         0.0
  i_11         0.0
  i_18         0.0
  i_16         0.0
  i_1         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_3         109.2
  i_12         48.0
  i_4         73.2
  i_5         122.39999999999999
  i_14         38.4
  i_7         175.2
  i_10         56.4
  i_8         51.6
  i_6         458.4
  i_0         141.6
  i_2         210.0
  i_9         176.4
  i_13         156.0
  i_15         85.2
  i_17         24.0
  i_11         255.6
  i_18         116.0
  i_16         41.0
  i_1         51.6
/;
parameter lRealPowerMin(l) /
  l_18         19.143905717126078
  l_17         19.77186226285994
  l_16         27.539475699886665
  l_14         69.8409342889059
  l_15         24.119113530032337
/;
parameter lRealPowerMax(l) /
  l_18         75.13522090855986
  l_17         114.52965717297047
  l_16         106.70096234884112
  l_14         330.4980978168547
  l_15         130.61754556559026
/;
parameter lReactivePowerMin(l) /
  l_18         -15.710172329843054
  l_17         -9.533457103371617
  l_16         -8.748207584023476
  l_14         -75.65614807419479
  l_15         -70.69190440187234
/;
parameter lReactivePowerMax(l) /
  l_18         22.583051529899237
  l_17         25.906276802346113
  l_16         39.974877681583166
  l_14         92.84817269071937
  l_15         38.23219686048105
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_18         3.0
  l_17         38.75
  l_16         49.25
  l_14         5.0
  l_15         19.0
/;
