parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_15
  i_1
  i_3
  i_11
  i_2
  i_6
  i_14
  i_5
  i_17
  i_0
  i_13
  i_7
  i_9
  i_8
  i_12
  i_4
  i_18
  i_10
  i_16
/;
set buses(*) /
  4
  14
  7
  5
  1
  13
  11
  3
  9
  2
  10
  12
  8
  6
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_18
  l_15
  l_17
  l_16
  l_14
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_15.13
  i_1.1
  i_3.2
  i_11.9
  i_2.2
  i_6.4
  i_14.12
  i_5.3
  i_17.4
  i_0.1
  i_13.10
  i_7.6
  i_9.6
  i_8.6
  i_12.9
  i_4.2
  i_18.5
  i_10.7
  i_16.4
/;
set ijDestination(i,j) /
  i_15.14
  i_1.5
  i_3.4
  i_11.10
  i_2.3
  i_6.5
  i_14.13
  i_5.4
  i_17.9
  i_0.2
  i_13.11
  i_7.11
  i_9.13
  i_8.12
  i_12.14
  i_4.5
  i_18.6
  i_10.8
  i_16.7
/;
set icMap(i,c) /
  i_15."'BL'"
  i_1."'BL'"
  i_3."'BL'"
  i_11."'BL'"
  i_2."'BL'"
  i_6."'BL'"
  i_14."'BL'"
  i_5."'BL'"
  i_17."'BL'"
  i_0."'BL'"
  i_13."'BL'"
  i_7."'BL'"
  i_9."'BL'"
  i_8."'BL'"
  i_12."'BL'"
  i_4."'BL'"
  i_18."'BL'"
  i_10."'BL'"
  i_16."'BL'"
/;
set ljMap(l,j) /
  l_18.8
  l_15.2
  l_17.6
  l_16.3
  l_14.1
/;
set luMap(l,u) /
  l_18."'1 '"
  l_15."'1 '"
  l_17."'1 '"
  l_16."'1 '"
  l_14."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  4         100.0
  14         100.0
  7         100.0
  5         100.0
  1         100.0
  13         100.0
  11         100.0
  3         100.0
  9         100.0
  2         100.0
  10         100.0
  12         100.0
  8         100.0
  6         100.0
/;
parameter jShuntConductance(j) /
  4         0.0
  14         0.0
  7         0.0
  5         0.0
  1         0.0
  13         0.0
  11         0.0
  3         0.0
  9         0.0
  2         0.0
  10         0.0
  12         0.0
  8         0.0
  6         0.0
/;
parameter jShuntSusceptance(j) /
  4         0.0
  14         0.0
  7         0.0
  5         0.0
  1         0.0
  13         0.0
  11         0.0
  3         0.0
  9         19.0
  2         0.0
  10         0.0
  12         0.0
  8         0.0
  6         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  4         0.9
  14         0.9
  7         0.9
  5         0.9
  1         0.9
  13         0.9
  11         0.9
  3         0.9
  9         0.9
  2         0.9
  10         0.9
  12         0.9
  8         0.9
  6         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  4         1.1
  14         1.1
  7         1.1
  5         1.1
  1         1.1
  13         1.1
  11         1.1
  3         1.1
  9         1.1
  2         1.1
  10         1.1
  12         1.1
  8         1.1
  6         1.1
/;
parameter jRealPowerDemand(j) /
  4         57.23464052610098
  14         12.053500043153763
  7         0.0
  5         9.192203033100814
  1         0.0
  13         12.631357119907625
  11         3.1271788683952764
  3         87.859503840236
  9         29.879380880901593
  2         16.528097427291794
  10         11.686044470686467
  12         5.422927725678309
  8         0.0
  6         12.903072542324661
/;
parameter jReactivePowerDemand(j) /
  4         -4.538368078647181
  14         3.7312102476134896
  7         0.0
  5         1.8670268361270428
  1         0.0
  13         6.921442285720258
  11         2.041724760336802
  3         20.262054524803535
  9         20.66461779211648
  2         13.623946203738452
  10         6.389458070574329
  12         1.9594080395996571
  8         0.0
  6         6.840896361507475
/;
parameter iSeriesResistance(i) /
  i_15         0.17093
  i_1         0.05403
  i_3         0.05811
  i_11         0.03181
  i_2         0.04699
  i_6         0.01335
  i_14         0.22092
  i_5         0.06701
  i_17         0.0
  i_0         0.01938
  i_13         0.08205
  i_7         0.09498
  i_9         0.06615
  i_8         0.12291
  i_12         0.12711
  i_4         0.05695
  i_18         0.0
  i_10         0.0
  i_16         0.0
/;
parameter iSeriesReactance(i) /
  i_15         0.34802
  i_1         0.22304
  i_3         0.17632
  i_11         0.0845
  i_2         0.19797
  i_6         0.04211
  i_14         0.19988
  i_5         0.17103
  i_17         0.55618
  i_0         0.05917
  i_13         0.19207
  i_7         0.1989
  i_9         0.13027
  i_8         0.25581
  i_12         0.27038
  i_4         0.17388
  i_18         0.25202
  i_10         0.17615
  i_16         0.20912
/;
parameter iChargingSusceptance(i) /
  i_15         0.0
  i_1         0.0492
  i_3         0.034
  i_11         0.0
  i_2         0.0438
  i_6         0.0
  i_14         0.0
  i_5         0.0128
  i_17         0.0
  i_0         0.0528
  i_13         0.0
  i_7         0.0
  i_9         0.0
  i_8         0.0
  i_12         0.0
  i_4         0.0346
  i_18         0.0
  i_10         0.0
  i_16         0.0
/;
parameter iTapRatio(i) /
  i_15         1.0
  i_1         1.0
  i_3         1.0
  i_11         1.0
  i_2         1.0
  i_6         1.0
  i_14         1.0
  i_5         1.0
  i_17         0.969
  i_0         1.0
  i_13         1.0
  i_7         1.0
  i_9         1.0
  i_8         1.0
  i_12         1.0
  i_4         1.0
  i_18         0.932
  i_10         1.0
  i_16         0.978
/;
parameter iPhaseShift(i) /
  i_15         0.0
  i_1         0.0
  i_3         0.0
  i_11         0.0
  i_2         0.0
  i_6         0.0
  i_14         0.0
  i_5         0.0
  i_17         0.0
  i_0         0.0
  i_13         0.0
  i_7         0.0
  i_9         0.0
  i_8         0.0
  i_12         0.0
  i_4         0.0
  i_18         0.0
  i_10         0.0
  i_16         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_15         85.2
  i_1         51.6
  i_3         109.2
  i_11         255.6
  i_2         210.0
  i_6         458.4
  i_14         38.4
  i_5         122.39999999999999
  i_17         24.0
  i_0         141.6
  i_13         156.0
  i_7         175.2
  i_9         176.4
  i_8         51.6
  i_12         48.0
  i_4         73.2
  i_18         116.0
  i_10         56.4
  i_16         41.0
/;
parameter lRealPowerMin(l) /
  l_18         22.24423601757735
  l_15         59.24984123837204
  l_17         10.560673652216792
  l_16         2.515271077863872
  l_14         82.2910609025315
/;
parameter lRealPowerMax(l) /
  l_18         121.03977142367512
  l_15         166.31790942233056
  l_17         98.31140355207026
  l_16         94.12869405932724
  l_14         236.9876792698726
/;
parameter lReactivePowerMin(l) /
  l_18         0.3117913319729304
  l_15         -48.07805402390659
  l_17         -17.021794371306896
  l_16         -5.396541276946664
  l_14         -142.87519464269283
/;
parameter lReactivePowerMax(l) /
  l_18         24.988581558689475
  l_15         47.378572509624064
  l_17         21.94656821899116
  l_16         30.97922559827566
  l_14         91.90621555782855
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
/;
parameter lmRealPowerCostExponent(l,m) /
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_18         3.0
  l_15         19.0
  l_17         38.75
  l_16         49.25
  l_14         5.0
/;
