parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_10
  i_7
  i_1
  i_8
  i_0
  i_2
  i_13
  i_18
  i_3
  i_15
  i_12
  i_5
  i_17
  i_11
  i_9
  i_14
  i_4
  i_16
  i_6
/;
set buses(*) /
  2
  3
  13
  6
  7
  9
  8
  1
  12
  5
  10
  14
  4
  11
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_16
  l_14
  l_15
  l_17
  l_18
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_10.7
  i_7.6
  i_1.1
  i_8.6
  i_0.1
  i_2.2
  i_13.10
  i_18.5
  i_3.2
  i_15.13
  i_12.9
  i_5.3
  i_17.4
  i_11.9
  i_9.6
  i_14.12
  i_4.2
  i_16.4
  i_6.4
/;
set ijDestination(i,j) /
  i_10.8
  i_7.11
  i_1.5
  i_8.12
  i_0.2
  i_2.3
  i_13.11
  i_18.6
  i_3.4
  i_15.14
  i_12.14
  i_5.4
  i_17.9
  i_11.10
  i_9.13
  i_14.13
  i_4.5
  i_16.7
  i_6.5
/;
set icMap(i,c) /
  i_10."'BL'"
  i_7."'BL'"
  i_1."'BL'"
  i_8."'BL'"
  i_0."'BL'"
  i_2."'BL'"
  i_13."'BL'"
  i_18."'BL'"
  i_3."'BL'"
  i_15."'BL'"
  i_12."'BL'"
  i_5."'BL'"
  i_17."'BL'"
  i_11."'BL'"
  i_9."'BL'"
  i_14."'BL'"
  i_4."'BL'"
  i_16."'BL'"
  i_6."'BL'"
/;
set ljMap(l,j) /
  l_16.3
  l_14.1
  l_15.2
  l_17.6
  l_18.8
/;
set luMap(l,u) /
  l_16."'1 '"
  l_14."'1 '"
  l_15."'1 '"
  l_17."'1 '"
  l_18."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  2         100.0
  3         100.0
  13         100.0
  6         100.0
  7         100.0
  9         100.0
  8         100.0
  1         100.0
  12         100.0
  5         100.0
  10         100.0
  14         100.0
  4         100.0
  11         100.0
/;
parameter jShuntConductance(j) /
  2         0.0
  3         0.0
  13         0.0
  6         0.0
  7         0.0
  9         0.0
  8         0.0
  1         0.0
  12         0.0
  5         0.0
  10         0.0
  14         0.0
  4         0.0
  11         0.0
/;
parameter jShuntSusceptance(j) /
  2         0.0
  3         0.0
  13         0.0
  6         0.0
  7         0.0
  9         19.0
  8         0.0
  1         0.0
  12         0.0
  5         0.0
  10         0.0
  14         0.0
  4         0.0
  11         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  2         0.9
  3         0.9
  13         0.9
  6         0.9
  7         0.9
  9         0.9
  8         0.9
  1         0.9
  12         0.9
  5         0.9
  10         0.9
  14         0.9
  4         0.9
  11         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  2         1.1
  3         1.1
  13         1.1
  6         1.1
  7         1.1
  9         1.1
  8         1.1
  1         1.1
  12         1.1
  5         1.1
  10         1.1
  14         1.1
  4         1.1
  11         1.1
/;
parameter jRealPowerDemand(j) /
  2         15.83574597680941
  3         100.65171600988135
  13         16.235937979607844
  6         12.586073969379068
  7         0.0
  9         28.896498088003135
  8         0.0
  1         0.0
  12         7.1040513157472
  5         5.9793320102617145
  10         11.61188037134707
  14         15.55015878654551
  4         34.157677429718895
  11         4.065461489208974
/;
parameter jReactivePowerDemand(j) /
  2         14.349807849521747
  3         15.683062169700861
  13         5.839066923316568
  6         5.282224408001639
  7         0.0
  9         19.775619168858977
  8         0.0
  1         0.0
  12         1.1673604711145162
  5         1.6295596543699504
  10         7.396545248981566
  14         5.700977958040312
  4         -3.8410647171316668
  11         1.4399761013500392
/;
parameter iSeriesResistance(i) /
  i_10         0.0
  i_7         0.09498
  i_1         0.05403
  i_8         0.12291
  i_0         0.01938
  i_2         0.04699
  i_13         0.08205
  i_18         0.0
  i_3         0.05811
  i_15         0.17093
  i_12         0.12711
  i_5         0.06701
  i_17         0.0
  i_11         0.03181
  i_9         0.06615
  i_14         0.22092
  i_4         0.05695
  i_16         0.0
  i_6         0.01335
/;
parameter iSeriesReactance(i) /
  i_10         0.17615
  i_7         0.1989
  i_1         0.22304
  i_8         0.25581
  i_0         0.05917
  i_2         0.19797
  i_13         0.19207
  i_18         0.25202
  i_3         0.17632
  i_15         0.34802
  i_12         0.27038
  i_5         0.17103
  i_17         0.55618
  i_11         0.0845
  i_9         0.13027
  i_14         0.19988
  i_4         0.17388
  i_16         0.20912
  i_6         0.04211
/;
parameter iChargingSusceptance(i) /
  i_10         0.0
  i_7         0.0
  i_1         0.0492
  i_8         0.0
  i_0         0.0528
  i_2         0.0438
  i_13         0.0
  i_18         0.0
  i_3         0.034
  i_15         0.0
  i_12         0.0
  i_5         0.0128
  i_17         0.0
  i_11         0.0
  i_9         0.0
  i_14         0.0
  i_4         0.0346
  i_16         0.0
  i_6         0.0
/;
parameter iTapRatio(i) /
  i_10         1.0
  i_7         1.0
  i_1         1.0
  i_8         1.0
  i_0         1.0
  i_2         1.0
  i_13         1.0
  i_18         0.932
  i_3         1.0
  i_15         1.0
  i_12         1.0
  i_5         1.0
  i_17         0.969
  i_11         1.0
  i_9         1.0
  i_14         1.0
  i_4         1.0
  i_16         0.978
  i_6         1.0
/;
parameter iPhaseShift(i) /
  i_10         0.0
  i_7         0.0
  i_1         0.0
  i_8         0.0
  i_0         0.0
  i_2         0.0
  i_13         0.0
  i_18         0.0
  i_3         0.0
  i_15         0.0
  i_12         0.0
  i_5         0.0
  i_17         0.0
  i_11         0.0
  i_9         0.0
  i_14         0.0
  i_4         0.0
  i_16         0.0
  i_6         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_10         56.4
  i_7         175.2
  i_1         51.6
  i_8         51.6
  i_0         141.6
  i_2         210.0
  i_13         156.0
  i_18         116.0
  i_3         109.2
  i_15         85.2
  i_12         48.0
  i_5         122.39999999999999
  i_17         24.0
  i_11         255.6
  i_9         176.4
  i_14         38.4
  i_4         73.2
  i_16         41.0
  i_6         458.4
/;
parameter lRealPowerMin(l) /
  l_16         8.818500679917662
  l_14         82.91686854677921
  l_15         24.51152272336185
  l_17         49.46147729048698
  l_18         21.928006634116173
/;
parameter lRealPowerMax(l) /
  l_16         114.12274801637979
  l_14         259.94845231678335
  l_15         123.48942079488188
  l_17         103.3572360314429
  l_18         99.67821261845529
/;
parameter lReactivePowerMin(l) /
  l_16         -3.8901977352797985
  l_14         -143.30910643562675
  l_15         -35.74733532499522
  l_17         -1.0342096653766895
  l_18         5.864691713824868
/;
parameter lReactivePowerMax(l) /
  l_16         48.06790046021342
  l_14         109.8383905272931
  l_15         56.3942359900102
  l_17         22.835511479526758
  l_18         28.41052197664976
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
/;
parameter lmRealPowerCostExponent(l,m) /
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_16         49.25
  l_14         5.0
  l_15         19.0
  l_17         38.75
  l_18         3.0
/;
